diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index fee7f69..d422284 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -504,11 +504,6 @@ It can be changed by using \verb|)set message autoload|.
 The \varref{current-directory} variable is set to the current directory.
 This is used by the \verb|)cd| function and some of the compile routines.
 
-The \fnref{loadExposureGroupData} function initializes several variables
-with the exposure groups. These lists limit the user visible names in
-order to keep the user and interpreter from being confused by names
-which are common but whose signatures are for internal algebra uses.
-
 The \fnref{statisticsInitialization} function initializes variables
 used to collect statistics. Currently, only the garbage collector
 information is initialized.
@@ -520,7 +515,6 @@ information is initialized.
 \calls{restart}{openserver}
 \calls{restart}{makeInitialModemapFrame}
 \calls{restart}{get-current-directory}
-\calls{restart}{loadExposureGroupData}
 \calls{restart}{statisticsInitialization}
 \calls{restart}{initHist}
 \calls{restart}{initializeInterpreterFrameRing}
@@ -559,7 +553,6 @@ information is initialized.
   (setq |$printLoadMsgs| nil)
   (setq $current-directory (get-current-directory))
   (setq *default-pathname-defaults* (pathname $current-directory))
-  (|loadExposureGroupData|)
   (|statisticsInitialization|)
   (|initHist|)
   (|initializeInterpreterFrameRing|)
@@ -16336,9 +16329,1247 @@ The input-libraries variable is now maintained as a list of truenames.
 @
 
 \section{Variables Used}
+NOTE: If you add new algebra you must also update this list
+otherwise the new algebra won't be loaded by the interpreter when needed.
+
+<<postvars>>=
+(eval-when (eval load)
+ (setq |$globalExposureGroupAlist|
+ '(
+ ;;define the groups |basic| |naglink| |anna| |categories| |Hidden| |defaults|
+  (|basic| 
+   (|AlgebraicManipulations| . ALGMANIP)
+   (|AlgebraicNumber| . AN)
+   (|AlgFactor| . ALGFACT)
+   (|AlgebraicMultFact| . ALGMFACT)
+   (|AlgebraPackage| . ALGPKG)
+   (|AlgebraGivenByStructuralConstants| . ALGSC)
+   (|Any| . ANY)
+   (|AnyFunctions1| . ANY1)
+   (|ApplicationProgramInterface| . API)
+   (|ArrayStack| . ASTACK)
+   (|AssociatedJordanAlgebra| . JORDAN)
+   (|AssociatedLieAlgebra| . LIE)
+   (|AttachPredicates| . PMPRED)
+   (|AxiomServer| . AXSERV)
+   (|BalancedBinaryTree| . BBTREE)
+   (|BasicOperator| . BOP)
+   (|BasicOperatorFunctions1| . BOP1)
+   (|Bezier| . BEZIER)
+   (|BinaryExpansion| . BINARY)
+   (|BinaryFile| . BINFILE)
+   (|BinarySearchTree| . BSTREE)
+   (|BinaryTournament| . BTOURN)
+   (|BinaryTree| . BTREE)
+   (|Bits| . BITS)
+   (|Boolean| . BOOLEAN)
+   (|CardinalNumber| . CARD)
+   (|CartesianTensor| . CARTEN)
+   (|CartesianTensorFunctions2| . CARTEN2)
+   (|Character| . CHAR)
+   (|CharacterClass| . CCLASS)
+   (|CharacteristicPolynomialPackage| . CHARPOL)
+   (|CliffordAlgebra| . CLIF)
+   (|Color| . COLOR)
+   (|CommonDenominator| . CDEN)
+   (|Commutator| . COMM)
+   (|Complex| . COMPLEX)
+   (|ComplexFactorization| . COMPFACT)
+   (|ComplexFunctions2| . COMPLEX2)
+   (|ComplexRootPackage| . CMPLXRT)
+   (|ComplexTrigonometricManipulations| . CTRIGMNP)
+   (|ContinuedFraction| . CONTFRAC)
+   (|CoordinateSystems| . COORDSYS)
+   (|CRApackage| . CRAPACK)
+   (|CycleIndicators| . CYCLES)
+   (|Database| . DBASE)
+   (|DataList| . DLIST)
+   (|DecimalExpansion| . DECIMAL)
+   (|DenavitHartenbergMatrix| . DHMATRIX)
+   (|Dequeue| . DEQUEUE)
+   (|DiophantineSolutionPackage| . DIOSP)
+   (|DirectProductFunctions2| . DIRPROD2)
+   (|DisplayPackage| . DISPLAY)
+   (|DistinctDegreeFactorize| . DDFACT)
+   (|DoubleFloat| . DFLOAT)
+   (|DoubleFloatSpecialFunctions| . DFSFUN)
+   (|DrawComplex| . DRAWCX)
+   (|DrawNumericHack| . DRAWHACK)
+   (|DrawOption| . DROPT)
+   (|EigenPackage| . EP)
+   (|ElementaryFunctionDefiniteIntegration| . DEFINTEF)
+   (|ElementaryFunctionLODESolver| . LODEEF)
+   (|ElementaryFunctionODESolver| . ODEEF)
+   (|ElementaryFunctionSign| . SIGNEF)
+   (|ElementaryFunctionStructurePackage| . EFSTRUC)
+   (|Equation| . EQ)
+   (|EquationFunctions2| . EQ2)
+   (|ErrorFunctions| . ERROR)
+   (|EuclideanGroebnerBasisPackage| . GBEUCLID)
+   (|Exit| . EXIT)
+   (|Expression| . EXPR)
+   (|ExpressionFunctions2| . EXPR2)
+   (|ExpressionSolve| . EXPRSOL)
+   (|ExpressionSpaceFunctions2| . ES2)
+   (|ExpressionSpaceODESolver| . EXPRODE)
+   (|ExpressionToOpenMath| . OMEXPR)
+   (|ExpressionToUnivariatePowerSeries| . EXPR2UPS)
+   (|Factored| . FR)
+   (|FactoredFunctions2| . FR2)
+   (|File| . FILE)
+   (|FileName| . FNAME)
+   (|FiniteAbelianMonoidRingFunctions2| . FAMR2)
+   (|FiniteDivisorFunctions2| . FDIV2)
+   (|FiniteField| . FF)
+   (|FiniteFieldCyclicGroup| . FFCG)
+   (|FiniteFieldPolynomialPackage2| . FFPOLY2)
+   (|FiniteFieldNormalBasis| . FFNB)
+   (|FiniteFieldHomomorphisms| . FFHOM)
+   (|FiniteLinearAggregateFunctions2| . FLAGG2)
+   (|FiniteLinearAggregateSort| . FLASORT)
+   (|FiniteSetAggregateFunctions2| . FSAGG2)
+   (|FlexibleArray| . FARRAY)
+   (|Float| . FLOAT)
+   (|FloatingRealPackage| . FLOATRP)
+   (|FloatingComplexPackage| . FLOATCP)
+   (|FourierSeries| . FSERIES)
+   (|Fraction| . FRAC)
+   (|FractionalIdealFunctions2| . FRIDEAL2)
+   (|FractionFreeFastGaussian| . FFFG)
+   (|FractionFreeFastGaussianFractions| . FFFGF)
+   (|FractionFunctions2| . FRAC2)
+   (|FreeNilpotentLie| . FNLA)
+   (|FullPartialFractionExpansion| . FPARFRAC)
+   (|FunctionFieldCategoryFunctions2| . FFCAT2)
+   (|FunctionSpaceAssertions| . PMASSFS)
+   (|FunctionSpaceAttachPredicates| . PMPREDFS)
+   (|FunctionSpaceComplexIntegration| . FSCINT)
+   (|FunctionSpaceFunctions2| . FS2)
+   (|FunctionSpaceIntegration| . FSINT)
+   (|FunctionSpacePrimitiveElement| . FSPRMELT)
+   (|FunctionSpaceSum| . SUMFS)
+   (|GaussianFactorizationPackage| . GAUSSFAC)
+   (|GeneralUnivariatePowerSeries| . GSERIES)
+   (|GenerateUnivariatePowerSeries| . GENUPS)
+   (|GraphicsDefaults| . GRDEF)
+   (|GroebnerPackage| . GB)
+   (|GroebnerFactorizationPackage| . GBF)
+   (|Guess| . GUESS)
+   (|GuessAlgebraicNumber| . GUESSAN)
+   (|GuessFinite| . GUESSF)
+   (|GuessFiniteFunctions| . GUESSF1)
+   (|GuessInteger| . GUESSINT)
+   (|GuessOption| . GOPT)
+   (|GuessOptionFunctions0| . GOPT0)
+   (|GuessPolynomial| . GUESSP)
+   (|GuessUnivariatePolynomial| . GUESSUP)
+   (|HallBasis| . HB)
+   (|Heap| . HEAP)
+   (|HexadecimalExpansion| . HEXADEC)
+   (|IndexCard| . ICARD)
+   (|IdealDecompositionPackage| . IDECOMP)
+   (|InfiniteProductCharacteristicZero| . INFPROD0)
+   (|InfiniteProductFiniteField| . INPRODFF)
+   (|InfiniteProductPrimeField| . INPRODPF)
+   (|InfiniteTuple| . ITUPLE)
+   (|InfiniteTupleFunctions2| . ITFUN2)
+   (|InfiniteTupleFunctions3| . ITFUN3)
+   (|Infinity| . INFINITY)
+   (|Integer| . INT)
+   (|IntegerCombinatoricFunctions| . COMBINAT)
+   (|IntegerLinearDependence| . ZLINDEP)
+   (|IntegerNumberTheoryFunctions| . INTHEORY)
+   (|IntegerPrimesPackage| . PRIMES)
+   (|IntegerRetractions| . INTRET)
+   (|IntegerRoots| . IROOT)
+   (|IntegrationResultFunctions2| . IR2)
+   (|IntegrationResultRFToFunction| . IRRF2F)
+   (|IntegrationResultToFunction| . IR2F)
+   (|Interval| . INTRVL)
+   (|InventorDataSink| . IVDATA)
+   (|InventorViewPort| . IVVIEW)
+   (|InventorRenderPackage| . IVREND)
+   (|InverseLaplaceTransform| . INVLAPLA)
+   (|IrrRepSymNatPackage| . IRSN)
+   (|KernelFunctions2| . KERNEL2)
+   (|KeyedAccessFile| . KAFILE)
+   (|LaplaceTransform| . LAPLACE)
+   (|LazardMorenoSolvingPackage| . LAZM3PK)
+   (|Library| . LIB)
+   (|LieSquareMatrix| . LSQM)
+   (|LinearOrdinaryDifferentialOperator| . LODO)
+   (|LinearSystemMatrixPackage| . LSMP)
+   (|LinearSystemMatrixPackage1| . LSMP1)
+   (|LinearSystemPolynomialPackage| . LSPP)
+   (|List| . LIST)
+   (|ListFunctions2| . LIST2)
+   (|ListFunctions3| . LIST3)
+   (|ListToMap| . LIST2MAP)
+   (|MakeFloatCompiledFunction| . MKFLCFN)
+   (|MakeFunction| . MKFUNC)
+   (|MakeRecord| . MKRECORD)
+   (|MappingPackage1| . MAPPKG1)
+   (|MappingPackage2| . MAPPKG2)
+   (|MappingPackage3| . MAPPKG3)
+   (|MappingPackage4| . MAPPKG4)
+   (|MathMLFormat| . MMLFORM)
+   (|Matrix| . MATRIX)
+   (|MatrixCategoryFunctions2| . MATCAT2)
+   (|MatrixCommonDenominator| . MCDEN)
+   (|MatrixLinearAlgebraFunctions| . MATLIN)
+   (|MergeThing| . MTHING)
+   (|ModularDistinctDegreeFactorizer| . MDDFACT)
+   (|ModuleOperator| . MODOP)
+   (|MonoidRingFunctions2| . MRF2)
+   (|MoreSystemCommands| . MSYSCMD)
+   (|MPolyCatFunctions2| . MPC2)
+   (|MPolyCatRationalFunctionFactorizer| . MPRFF)
+   (|Multiset| . MSET)
+   (|MultivariateFactorize| . MULTFACT)
+   (|MultivariatePolynomial| . MPOLY)
+   (|MultFiniteFactorize| . MFINFACT)
+   (|MyUnivariatePolynomial| . MYUP)
+   (|MyExpression| . MYEXPR)
+   (|NoneFunctions1| . NONE1)
+   (|NonNegativeInteger| . NNI)
+   (|NottinghamGroup| . NOTTING)
+   (|NormalizationPackage| . NORMPK)
+   (|NormInMonogenicAlgebra| . NORMMA)
+   (|NumberTheoreticPolynomialFunctions| . NTPOLFN)
+   (|Numeric| . NUMERIC)
+   (|NumericalOrdinaryDifferentialEquations| . NUMODE)
+   (|NumericalQuadrature| . NUMQUAD)
+   (|NumericComplexEigenPackage| . NCEP)
+   (|NumericRealEigenPackage| . NREP)
+   (|NumericContinuedFraction| . NCNTFRAC)
+   (|Octonion| . OCT)
+   (|OctonionCategoryFunctions2| . OCTCT2)
+   (|OneDimensionalArray| . ARRAY1)
+   (|OneDimensionalArrayFunctions2| . ARRAY12)
+   (|OnePointCompletion| . ONECOMP)
+   (|OnePointCompletionFunctions2| . ONECOMP2)
+   (|OpenMathConnection| . OMCONN)
+   (|OpenMathDevice| . OMDEV)
+   (|OpenMathEncoding| . OMENC)
+   (|OpenMathError| . OMERR)
+   (|OpenMathErrorKind| . OMERRK)
+   (|OpenMathPackage| . OMPKG)
+   (|OpenMathServerPackage| . OMSERVER)
+   (|OperationsQuery| . OPQUERY)
+   (|OrderedCompletion| . ORDCOMP)
+   (|OrderedCompletionFunctions2| . ORDCOMP2)
+   (|OrdinaryDifferentialRing| . ODR)
+   (|OrdSetInts| . OSI)
+   (|OrthogonalPolynomialFunctions| . ORTHPOL)
+   (|OutputPackage| . OUT)
+   (|PadeApproximantPackage| . PADEPAC)
+   (|Palette| . PALETTE)
+   (|PartialFraction| . PFR)
+   (|PatternFunctions2| . PATTERN2)
+   (|ParametricPlaneCurve| . PARPCURV)
+   (|ParametricSpaceCurve| . PARSCURV)
+   (|ParametricSurface| . PARSURF)
+   (|ParametricPlaneCurveFunctions2| . PARPC2)
+   (|ParametricSpaceCurveFunctions2| . PARSC2)
+   (|ParametricSurfaceFunctions2| . PARSU2)
+   (|PartitionsAndPermutations| . PARTPERM)
+   (|PatternMatch| . PATMATCH)
+   (|PatternMatchAssertions| . PMASS)
+   (|PatternMatchResultFunctions2| . PATRES2)
+   (|PendantTree| . PENDTREE)
+   (|Permanent| . PERMAN)
+   (|PermutationGroupExamples| . PGE)
+   (|PermutationGroup| . PERMGRP)
+   (|Permutation| . PERM)
+   (|Pi| . HACKPI)
+   (|PiCoercions| . PICOERCE)
+   (|PointFunctions2| . PTFUNC2)
+   (|PolyGroebner| . PGROEB)
+   (|Polynomial| . POLY)
+   (|PolynomialAN2Expression| . PAN2EXPR)
+   (|PolynomialComposition| . PCOMP)
+   (|PolynomialDecomposition| . PDECOMP)
+   (|PolynomialFunctions2| . POLY2)
+   (|PolynomialIdeals| . IDEAL)
+   (|PolynomialToUnivariatePolynomial| . POLY2UP)
+   (|PositiveInteger| . PI)
+   (|PowerSeriesLimitPackage| . LIMITPS)
+   (|PrimeField| . PF)
+   (|PrimitiveArrayFunctions2| . PRIMARR2)
+   (|PrintPackage| . PRINT)
+   (|QuadraticForm| . QFORM)
+   (|QuasiComponentPackage| . QCMPACK)
+   (|Quaternion| . QUAT)
+   (|QuaternionCategoryFunctions2| . QUATCT2)
+   (|QueryEquation| . QEQUAT)
+   (|Queue| . QUEUE)
+   (|QuotientFieldCategoryFunctions2| . QFCAT2)
+   (|RadicalEigenPackage| . REP)
+   (|RadicalSolvePackage| . SOLVERAD)
+   (|RadixExpansion| . RADIX)
+   (|RadixUtilities| . RADUTIL)
+   (|RandomNumberSource| . RANDSRC)
+   (|RationalFunction| . RF)
+   (|RationalFunctionDefiniteIntegration| . DEFINTRF)
+   (|RationalFunctionFactor| . RFFACT)
+   (|RationalFunctionFactorizer| . RFFACTOR)
+   (|RationalFunctionIntegration| . INTRF)
+   (|RationalFunctionLimitPackage| . LIMITRF)
+   (|RationalFunctionSign| . SIGNRF)
+   (|RationalFunctionSum| . SUMRF)
+   (|RationalRetractions| . RATRET)
+   (|RealClosure| . RECLOS)
+   (|RealPolynomialUtilitiesPackage| . POLUTIL)
+   (|RealZeroPackage| . REAL0)
+   (|RealZeroPackageQ| . REAL0Q)
+   (|RecurrenceOperator| . RECOP)
+   (|RectangularMatrixCategoryFunctions2| . RMCAT2)
+   (|RegularSetDecompositionPackage| . RSDCMPK)
+   (|RegularTriangularSet| . REGSET)
+   (|RegularTriangularSetGcdPackage| . RSETGCD)
+   (|RepresentationPackage1| . REP1)
+   (|RepresentationPackage2| . REP2)
+   (|ResolveLatticeCompletion| . RESLATC)
+   (|RewriteRule| . RULE)
+   (|RightOpenIntervalRootCharacterization| . ROIRC) 
+   (|RomanNumeral| . ROMAN)
+   (|Ruleset| . RULESET)
+   (|ScriptFormulaFormat| . FORMULA)
+   (|ScriptFormulaFormat1| . FORMULA1)
+   (|Segment| . SEG)
+   (|SegmentBinding| . SEGBIND)
+   (|SegmentBindingFunctions2| . SEGBIND2)
+   (|SegmentFunctions2| . SEG2)
+   (|Set| . SET)
+   (|SimpleAlgebraicExtensionAlgFactor| . SAEFACT)
+   (|SimplifyAlgebraicNumberConvertPackage| . SIMPAN)
+   (|SingleInteger| . SINT)
+   (|SmithNormalForm| . SMITH)
+   (|SparseUnivariatePolynomialExpressions| . SUPEXPR)
+   (|SparseUnivariatePolynomialFunctions2| . SUP2)
+   (|SpecialOutputPackage| . SPECOUT)
+   (|SquareFreeRegularSetDecompositionPackage| . SRDCMPK)
+   (|SquareFreeRegularTriangularSet| . SREGSET)
+   (|SquareFreeRegularTriangularSetGcdPackage| . SFRGCD)
+   (|SquareFreeQuasiComponentPackage| . SFQCMPK)
+   (|Stack| . STACK)
+   (|Stream| . STREAM)
+   (|StreamFunctions1| . STREAM1)
+   (|StreamFunctions2| . STREAM2)
+   (|StreamFunctions3| . STREAM3)
+   (|String| . STRING)
+   (|SturmHabichtPackage| . SHP)
+   (|Symbol| . SYMBOL)
+   (|SymmetricGroupCombinatoricFunctions| . SGCF)
+   (|SystemSolvePackage| . SYSSOLP)
+   (|SAERationalFunctionAlgFactor| . SAERFFC)
+   (|Tableau| . TABLEAU)
+   (|TaylorSeries| . TS)
+   (|TaylorSolve| . UTSSOL)
+   (|TexFormat| . TEX)
+   (|TexFormat1| . TEX1)
+   (|TextFile| . TEXTFILE)
+   (|ThreeDimensionalViewport| . VIEW3D)
+   (|ThreeSpace| . SPACE3)
+   (|Timer|  . TIMER)
+   (|TopLevelDrawFunctions| . DRAW)
+   (|TopLevelDrawFunctionsForAlgebraicCurves| . DRAWCURV)
+   (|TopLevelDrawFunctionsForCompiledFunctions| . DRAWCFUN)
+   (|TopLevelDrawFunctionsForPoints| .  DRAWPT )
+   (|TopLevelThreeSpace| . TOPSP)
+   (|TranscendentalManipulations| . TRMANIP)
+   (|TransSolvePackage| . SOLVETRA)
+   (|Tree| . TREE)
+   (|TrigonometricManipulations| . TRIGMNIP)
+   (|UnivariateLaurentSeriesFunctions2| . ULS2)
+   (|UnivariateFormalPowerSeries| . UFPS)
+   (|UnivariateFormalPowerSeriesFunctions| . UFPS1)
+   (|UnivariatePolynomial| . UP)
+   (|UnivariatePolynomialCategoryFunctions2| . UPOLYC2)
+   (|UnivariatePolynomialCommonDenominator| . UPCDEN)
+   (|UnivariatePolynomialFunctions2| . UP2)
+   (|UnivariatePolynomialMultiplicationPackage| . UPMP)
+   (|UnivariatePuiseuxSeriesFunctions2| . UPXS2)
+   (|UnivariateTaylorSeriesFunctions2| . UTS2)
+   (|UniversalSegment| . UNISEG)
+   (|UniversalSegmentFunctions2| . UNISEG2)
+   (|UserDefinedVariableOrdering| . UDVO)
+   (|Vector| . VECTOR)
+   (|VectorFunctions2| . VECTOR2)
+   (|ViewDefaultsPackage| . VIEWDEF)
+   (|Void| . VOID)
+   (|WuWenTsunTriangularSet| . WUTSET))
+ (|naglink|
+   (|Asp1| . ASP1)
+   (|Asp4| . ASP4)
+   (|Asp6| . ASP6)
+   (|Asp7| . ASP7)
+   (|Asp8| . ASP8)
+   (|Asp9| . ASP9)
+   (|Asp10| . ASP10)
+   (|Asp12| . ASP12)
+   (|Asp19| . ASP19)
+   (|Asp20| . ASP20)
+   (|Asp24| . ASP24)
+   (|Asp27| . ASP27)
+   (|Asp28| . ASP28)
+   (|Asp29| . ASP29)
+   (|Asp30| . ASP30)
+   (|Asp31| . ASP31)
+   (|Asp33| . ASP33)
+   (|Asp34| . ASP34)
+   (|Asp35| . ASP35)
+   (|Asp41| . ASP41)
+   (|Asp42| . ASP42)
+   (|Asp49| . ASP49)
+   (|Asp50| . ASP50)
+   (|Asp55| . ASP55)
+   (|Asp73| . ASP73)
+   (|Asp74| . ASP74)
+   (|Asp77| . ASP77)
+   (|Asp78| . ASP78)
+   (|Asp80| . ASP80)
+   (|FortranCode| . FC)
+   (|FortranCodePackage1| . FCPAK1)
+   (|FortranExpression| . FEXPR)
+   (|FortranMachineTypeCategory| . FMTC)
+   (|FortranMatrixCategory| . FMC)
+   (|FortranMatrixFunctionCategory| . FMFUN)
+   (|FortranOutputStackPackage| . FOP)
+   (|FortranPackage| . FORT)
+   (|FortranProgramCategory| . FORTCAT)
+   (|FortranProgram| . FORTRAN)
+   (|FortranFunctionCategory| . FORTFN)
+   (|FortranScalarType| . FST)
+   (|FortranType| . FT)
+   (|FortranTemplate| . FTEM)
+   (|FortranVectorFunctionCategory| . FVFUN)
+   (|FortranVectorCategory| . FVC)
+   (|MachineComplex| . MCMPLX)
+   (|MachineFloat| . MFLOAT)
+   (|MachineInteger| . MINT)
+   (|MultiVariableCalculusFunctions| . MCALCFN)
+   (|NagDiscreteFourierTransformInterfacePackage| . NAGDIS)
+   (|NagEigenInterfacePackage| . NAGEIG)
+   (|NAGLinkSupportPackage| . NAGSP)
+   (|NagOptimisationInterfacePackage| . NAGOPT)
+   (|NagQuadratureInterfacePackage| . NAGQUA)
+   (|NagResultChecks| . NAGRES)
+   (|NagSpecialFunctionsInterfacePackage| . NAGSPE)
+   (|NagPolynomialRootsPackage| . NAGC02)
+   (|NagRootFindingPackage| . NAGC05)
+   (|NagSeriesSummationPackage| . NAGC06)
+   (|NagIntegrationPackage| . NAGD01)
+   (|NagOrdinaryDifferentialEquationsPackage| . NAGD02)
+   (|NagPartialDifferentialEquationsPackage| . NAGD03)
+   (|NagInterpolationPackage| . NAGE01)
+   (|NagFittingPackage| . NAGE02)
+   (|NagOptimisationPackage| . NAGE04)
+   (|NagMatrixOperationsPackage| . NAGF01)
+   (|NagEigenPackage| . NAGF02)
+   (|NagLinearEquationSolvingPackage| . NAGF04)
+   (|NagLapack| . NAGF07)
+   (|NagSpecialFunctionsPackage| . NAGS)
+   (|PackedHermitianSequence| . PACKED)
+   (|Result| . RESULT)
+   (|SimpleFortranProgram| . SFORT)
+   (|Switch| . SWITCH)
+   (|SymbolTable| . SYMTAB)
+   (|TemplateUtilities| . TEMUTL)
+   (|TheSymbolTable| . SYMS)
+   (|ThreeDimensionalMatrix| . M3D))
+ (|anna|
+   (|AnnaNumericalIntegrationPackage| . INTPACK)
+   (|AnnaNumericalOptimizationPackage| . OPTPACK)
+   (|AnnaOrdinaryDifferentialEquationPackage| . ODEPACK)
+   (|AnnaPartialDifferentialEquationPackage| . PDEPACK)
+   (|AttributeButtons| . ATTRBUT)
+   (|BasicFunctions| . BFUNCT)
+   (|d01ajfAnnaType| . D01AJFA)
+   (|d01akfAnnaType| . D01AKFA)
+   (|d01alfAnnaType| . D01ALFA)
+   (|d01amfAnnaType| . D01AMFA)
+   (|d01anfAnnaType| . D01ANFA)
+   (|d01apfAnnaType| . D01APFA)
+   (|d01aqfAnnaType| . D01AQFA)
+   (|d01asfAnnaType| . D01ASFA)
+   (|d01fcfAnnaType| . D01FCFA)
+   (|d01gbfAnnaType| . D01GBFA)
+   (|d01AgentsPackage| . D01AGNT)
+   (|d01TransformFunctionType| . D01TRNS)
+   (|d01WeightsPackage| . D01WGTS)
+   (|d02AgentsPackage| . D02AGNT)
+   (|d02bbfAnnaType| . D02BBFA)
+   (|d02bhfAnnaType| . D02BHFA)
+   (|d02cjfAnnaType| . D02CJFA)
+   (|d02ejfAnnaType| . D02EJFA)
+   (|d03AgentsPackage| . D03AGNT)
+   (|d03eefAnnaType| . D03EEFA)
+   (|d03fafAnnaType| . D03FAFA)
+   (|e04AgentsPackage| . E04AGNT)
+   (|e04dgfAnnaType| . E04DGFA)
+   (|e04fdfAnnaType| . E04FDFA)
+   (|e04gcfAnnaType| . E04GCFA)
+   (|e04jafAnnaType| . E04JAFA)
+   (|e04mbfAnnaType| . E04MBFA)
+   (|e04nafAnnaType| . E04NAFA)
+   (|e04ucfAnnaType| . E04UCFA)
+   (|ExpertSystemContinuityPackage| . ESCONT)
+   (|ExpertSystemContinuityPackage1| . ESCONT1)
+   (|ExpertSystemToolsPackage| . ESTOOLS)
+   (|ExpertSystemToolsPackage1| . ESTOOLS1)
+   (|ExpertSystemToolsPackage2| . ESTOOLS2)
+   (|NumericalIntegrationCategory| . NUMINT)
+   (|NumericalIntegrationProblem| . NIPROB)
+   (|NumericalODEProblem| . ODEPROB)
+   (|NumericalOptimizationCategory| . OPTCAT)
+   (|NumericalOptimizationProblem| . OPTPROB)
+   (|NumericalPDEProblem| . PDEPROB)
+   (|ODEIntensityFunctionsTable| . ODEIFTBL)
+   (|IntegrationFunctionsTable| . INTFTBL)
+   (|OrdinaryDifferentialEquationsSolverCategory| . ODECAT)
+   (|PartialDifferentialEquationsSolverCategory| . PDECAT)
+   (|RoutinesTable| . ROUTINE))
+ (|categories| 
+   (|AbelianGroup| . ABELGRP)
+   (|AbelianMonoid| . ABELMON)
+   (|AbelianMonoidRing| . AMR)
+   (|AbelianSemiGroup| . ABELSG)
+   (|Aggregate| . AGG)
+   (|Algebra| . ALGEBRA)
+   (|AlgebraicallyClosedField| . ACF)
+   (|AlgebraicallyClosedFunctionSpace| . ACFS)
+   (|ArcHyperbolicFunctionCategory| . AHYP)
+   (|ArcTrigonometricFunctionCategory| . ATRIG)
+   (|AssociationListAggregate| . ALAGG)
+   (|AttributeRegistry| . ATTREG)
+   (|BagAggregate| . BGAGG)
+   (|BasicType| . BASTYPE)
+   (|BiModule| . BMODULE)
+   (|BinaryRecursiveAggregate| . BRAGG)
+   (|BinaryTreeCategory| . BTCAT)
+   (|BitAggregate| . BTAGG)
+   (|CachableSet| . CACHSET)
+   (|CancellationAbelianMonoid| . CABMON)
+   (|CharacteristicNonZero| . CHARNZ)
+   (|CharacteristicZero| . CHARZ)
+   (|CoercibleTo| . KOERCE)
+   (|Collection| . CLAGG)
+   (|CombinatorialFunctionCategory| . CFCAT)
+   (|CombinatorialOpsCategory| . COMBOPC)
+   (|CommutativeRing| . COMRING)
+   (|ComplexCategory| . COMPCAT)
+   (|ConvertibleTo| . KONVERT)
+   (|DequeueAggregate| . DQAGG)
+   (|Dictionary| . DIAGG)
+   (|DictionaryOperations| . DIOPS)
+   (|DifferentialExtension| . DIFEXT)
+   (|DifferentialPolynomialCategory| . DPOLCAT)
+   (|DifferentialRing| . DIFRING)
+   (|DifferentialVariableCategory| . DVARCAT)
+   (|DirectProductCategory| . DIRPCAT)
+   (|DivisionRing| . DIVRING)
+   (|DoublyLinkedAggregate| . DLAGG)
+   (|ElementaryFunctionCategory| . ELEMFUN)
+   (|Eltable| . ELTAB)
+   (|EltableAggregate| . ELTAGG)
+   (|EntireRing| . ENTIRER)
+   (|EuclideanDomain| . EUCDOM)
+   (|Evalable| . EVALAB)
+   (|ExpressionSpace| . ES)
+   (|ExtensibleLinearAggregate| . ELAGG)
+   (|ExtensionField| . XF)
+   (|Field| . FIELD)
+   (|FieldOfPrimeCharacteristic| . FPC)
+   (|Finite| . FINITE)
+   (|FileCategory| . FILECAT)
+   (|FileNameCategory| . FNCAT)
+   (|FiniteAbelianMonoidRing| . FAMR)
+   (|FiniteAlgebraicExtensionField| . FAXF)
+   (|FiniteDivisorCategory| . FDIVCAT)
+   (|FiniteFieldCategory| . FFIELDC)
+   (|FiniteLinearAggregate| . FLAGG)
+   (|FiniteRankNonAssociativeAlgebra| . FINAALG)
+   (|FiniteRankAlgebra| . FINRALG)
+   (|FiniteSetAggregate| . FSAGG)
+   (|FloatingPointSystem| . FPS)
+   (|FramedAlgebra| . FRAMALG)
+   (|FramedNonAssociativeAlgebra| . FRNAALG)
+   (|FramedNonAssociativeAlgebraFunctions2| . FRNAAF2)
+   (|FreeAbelianMonoidCategory| . FAMONC)
+   (|FreeLieAlgebra| . FLALG)
+   (|FreeModuleCat| . FMCAT)
+   (|FullyEvalableOver| . FEVALAB)
+   (|FullyLinearlyExplicitRingOver| . FLINEXP)
+   (|FullyPatternMatchable| . FPATMAB)
+   (|FullyRetractableTo| . FRETRCT)
+   (|FunctionFieldCategory| . FFCAT)
+   (|FunctionSpace| . FS)
+   (|GcdDomain| . GCDDOM)
+   (|GradedAlgebra| . GRALG)
+   (|GradedModule| . GRMOD)
+   (|Group| . GROUP)
+   (|HomogeneousAggregate| . HOAGG)
+   (|HyperbolicFunctionCategory| . HYPCAT)
+   (|IndexedAggregate| . IXAGG)
+   (|IndexedDirectProductCategory| . IDPC)
+   (|InnerEvalable| . IEVALAB)
+   (|IntegerNumberSystem| . INS)
+   (|IntegralDomain| . INTDOM)
+   (|IntervalCategory| . INTCAT)
+   (|KeyedDictionary| . KDAGG)
+   (|LazyStreamAggregate| . LZSTAGG)
+   (|LeftAlgebra| . LALG)
+   (|LeftModule| . LMODULE)
+   (|LieAlgebra| . LIECAT)
+   (|LinearAggregate| . LNAGG)
+   (|LinearlyExplicitRingOver| . LINEXP)
+   (|LinearOrdinaryDifferentialOperatorCategory| . LODOCAT)
+   (|LiouvillianFunctionCategory| . LFCAT)
+   (|ListAggregate| . LSAGG)
+   (|Logic| . LOGIC)
+   (|MatrixCategory| . MATCAT)
+   (|Module| . MODULE)
+   (|Monad| . MONAD)
+   (|MonadWithUnit| . MONADWU)
+   (|Monoid| . MONOID)
+   (|MonogenicAlgebra| . MONOGEN)
+   (|MonogenicLinearOperator| . MLO)
+   (|MultiDictionary| . MDAGG)
+   (|MultisetAggregate| . MSETAGG)
+   (|MultivariateTaylorSeriesCategory| . MTSCAT)
+   (|NonAssociativeAlgebra| . NAALG)
+   (|NonAssociativeRing| . NASRING)
+   (|NonAssociativeRng| . NARNG)
+   (|NormalizedTriangularSetCategory| . NTSCAT)
+   (|Object| . OBJECT)
+   (|OctonionCategory| . OC)
+   (|OneDimensionalArrayAggregate| . A1AGG)
+   (|OpenMath| . OM)
+   (|OrderedAbelianGroup| . OAGROUP)
+   (|OrderedAbelianMonoid| . OAMON)
+   (|OrderedAbelianMonoidSup| . OAMONS)
+   (|OrderedAbelianSemiGroup| . OASGP)
+   (|OrderedCancellationAbelianMonoid| . OCAMON)
+   (|OrderedFinite| . ORDFIN)
+   (|OrderedIntegralDomain| . OINTDOM)
+   (|OrderedMonoid| . ORDMON)
+   (|OrderedMultisetAggregate| . OMSAGG)
+   (|OrderedRing| . ORDRING)
+   (|OrderedSet| . ORDSET)
+   (|PAdicIntegerCategory| . PADICCT)
+   (|PartialDifferentialRing| . PDRING)
+   (|PartialTranscendentalFunctions| . PTRANFN)
+   (|Patternable| . PATAB)
+   (|PatternMatchable| . PATMAB)
+   (|PermutationCategory| . PERMCAT)
+   (|PlottablePlaneCurveCategory| . PPCURVE)
+   (|PlottableSpaceCurveCategory| . PSCURVE)
+   (|PointCategory| . PTCAT)
+   (|PolynomialCategory| . POLYCAT)
+   (|PolynomialFactorizationExplicit| . PFECAT)
+   (|PolynomialSetCategory| . PSETCAT)
+   (|PowerSeriesCategory| . PSCAT)
+   (|PrimitiveFunctionCategory| . PRIMCAT)
+   (|PrincipalIdealDomain| . PID)
+   (|PriorityQueueAggregate| . PRQAGG)
+   (|QuaternionCategory| . QUATCAT)
+   (|QueueAggregate| . QUAGG)
+   (|QuotientFieldCategory| . QFCAT)
+   (|RadicalCategory| . RADCAT)
+   (|RealClosedField| . RCFIELD)
+   (|RealConstant| . REAL)
+   (|RealNumberSystem| . RNS)
+   (|RealRootCharacterizationCategory| . RRCC)
+   (|RectangularMatrixCategory| . RMATCAT)
+   (|RecursiveAggregate| . RCAGG)
+   (|RecursivePolynomialCategory| . RPOLCAT)
+   (|RegularChain| . RGCHAIN)
+   (|RegularTriangularSetCategory| . RSETCAT)
+   (|RetractableTo| . RETRACT)
+   (|RightModule| . RMODULE)
+   (|Ring| . RING)
+   (|Rng| . RNG)
+   (|SegmentCategory| . SEGCAT)
+   (|SegmentExpansionCategory| . SEGXCAT)
+   (|SemiGroup| . SGROUP)
+   (|SetAggregate| . SETAGG)
+   (|SetCategory| . SETCAT)
+   (|SExpressionCategory| . SEXCAT)
+   (|SpecialFunctionCategory| . SPFCAT)
+   (|SquareFreeNormalizedTriangularSetCategory| . SNTSCAT)
+   (|SquareFreeRegularTriangularSetCategory| . SFRTCAT)
+   (|SquareMatrixCategory| . SMATCAT)
+   (|StackAggregate| . SKAGG)
+   (|StepThrough| . STEP)
+   (|StreamAggregate| . STAGG)
+   (|StringAggregate| . SRAGG)
+   (|StringCategory| . STRICAT)
+   (|StructuralConstantsPackage| . SCPKG)
+   (|TableAggregate| . TBAGG)
+   (|ThreeSpaceCategory| . SPACEC)
+   (|TranscendentalFunctionCategory| . TRANFUN)
+   (|TriangularSetCategory| . TSETCAT)
+   (|TrigonometricFunctionCategory| . TRIGCAT)
+   (|TwoDimensionalArrayCategory| . ARR2CAT)
+   (|Type| . TYPE)
+   (|UnaryRecursiveAggregate| . URAGG)
+   (|UniqueFactorizationDomain| . UFD)
+   (|UnivariateLaurentSeriesCategory| . ULSCAT)
+   (|UnivariateLaurentSeriesConstructorCategory| . ULSCCAT)
+   (|UnivariatePolynomialCategory| . UPOLYC)
+   (|UnivariatePowerSeriesCategory| . UPSCAT)
+   (|UnivariatePuiseuxSeriesCategory| . UPXSCAT)
+   (|UnivariatePuiseuxSeriesConstructorCategory| . UPXSCCA)
+   (|UnivariateSkewPolynomialCategory| . OREPCAT)
+   (|UnivariateTaylorSeriesCategory| . UTSCAT)
+   (|VectorCategory| . VECTCAT)
+   (|VectorSpace| . VSPACE)
+   (|XAlgebra| . XALG)
+   (|XFreeAlgebra| . XFALG)
+   (|XPolynomialsCat| . XPOLYC)
+   (|ZeroDimensionalSolvePackage| . ZDSOLVE))
+ (|Hidden| 
+   (|AlgebraicFunction| . AF)
+   (|AlgebraicFunctionField| . ALGFF)
+   (|AlgebraicHermiteIntegration| . INTHERAL)
+   (|AlgebraicIntegrate| . INTALG)
+   (|AlgebraicIntegration| . INTAF)
+   (|AnonymousFunction| . ANON)
+   (|AntiSymm| . ANTISYM)
+   (|ApplyRules| . APPRULE)
+   (|ApplyUnivariateSkewPolynomial| . APPLYORE)
+   (|ArrayStack| . ASTACK)
+   (|AssociatedEquations| . ASSOCEQ)
+   (|AssociationList| . ALIST)
+   (|Automorphism| . AUTOMOR)
+   (|BalancedFactorisation| . BALFACT)
+   (|BalancedPAdicInteger| . BPADIC)
+   (|BalancedPAdicRational| . BPADICRT)
+   (|BezoutMatrix| . BEZOUT)
+   (|BoundIntegerRoots| . BOUNDZRO)
+   (|BrillhartTests| . BRILL)
+   (|ChangeOfVariable| . CHVAR)
+   (|CharacteristicPolynomialInMonogenicalAlgebra| . CPIMA)
+   (|ChineseRemainderToolsForIntegralBases| . IBACHIN)
+   (|CoerceVectorMatrixPackage| . CVMP)
+   (|CombinatorialFunction| . COMBF)
+   (|CommonOperators| . COMMONOP)
+   (|CommuteUnivariatePolynomialCategory| . COMMUPC)
+   (|ComplexIntegerSolveLinearPolynomialEquation| . CINTSLPE)
+   (|ComplexPattern| . COMPLPAT)
+   (|ComplexPatternMatch| . CPMATCH)
+   (|ComplexRootFindingPackage| . CRFP)
+   (|ConstantLODE| . ODECONST)
+   (|CyclicStreamTools| . CSTTOOLS)
+   (|CyclotomicPolynomialPackage| . CYCLOTOM)
+   (|DefiniteIntegrationTools| . DFINTTLS)
+   (|DegreeReductionPackage| . DEGRED)
+   (|DeRhamComplex| . DERHAM)
+   (|DifferentialSparseMultivariatePolynomial| . DSMP)
+   (|DirectProduct| . DIRPROD)
+   (|DirectProductMatrixModule| . DPMM)
+   (|DirectProductModule| . DPMO)
+   (|DiscreteLogarithmPackage| . DLP)
+   (|DistributedMultivariatePolynomial| . DMP)
+   (|DoubleResultantPackage| . DBLRESP)
+   (|DrawOptionFunctions0| . DROPT0)
+   (|DrawOptionFunctions1| . DROPT1)
+   (|ElementaryFunction| . EF)
+   (|ElementaryFunctionsUnivariateLaurentSeries| . EFULS)
+   (|ElementaryFunctionsUnivariatePuiseuxSeries| . EFUPXS)
+   (|ElementaryIntegration| . INTEF)
+   (|ElementaryRischDE| . RDEEF)
+   (|ElementaryRischDESystem| . RDEEFS)
+   (|EllipticFunctionsUnivariateTaylorSeries| . ELFUTS)
+   (|EqTable| . EQTBL)
+   (|EuclideanModularRing| . EMR)
+   (|EvaluateCycleIndicators| . EVALCYC)
+   (|ExponentialExpansion| . EXPEXPAN)
+   (|ExponentialOfUnivariatePuiseuxSeries| . EXPUPXS)
+   (|ExpressionSpaceFunctions1| . ES1)
+   (|ExpressionTubePlot| . EXPRTUBE)
+   (|ExtAlgBasis| . EAB)
+   (|FactoredFunctions| . FACTFUNC)
+   (|FactoredFunctionUtilities| . FRUTIL)
+   (|FactoringUtilities| . FACUTIL)
+   (|FGLMIfCanPackage| . FGLMICPK)
+   (|FindOrderFinite| . FORDER)
+   (|FiniteDivisor| . FDIV)
+   (|FiniteFieldCyclicGroupExtension| . FFCGX)
+   (|FiniteFieldCyclicGroupExtensionByPolynomial| . FFCGP)
+   (|FiniteFieldExtension| . FFX)
+   (|FiniteFieldExtensionByPolynomial| . FFP)
+   (|FiniteFieldFunctions| . FFF)
+   (|FiniteFieldNormalBasisExtension| . FFNBX)
+   (|FiniteFieldNormalBasisExtensionByPolynomial| . FFNBP)
+   (|FiniteFieldPolynomialPackage| . FFPOLY)
+   (|FiniteFieldSolveLinearPolynomialEquation| . FFSLPE)
+   (|FormalFraction| . FORMAL)
+   (|FourierComponent| . FCOMP)
+   (|FractionalIdeal| . FRIDEAL)
+   (|FramedModule| . FRMOD)
+   (|FreeAbelianGroup| . FAGROUP)
+   (|FreeAbelianMonoid| . FAMONOID)
+   (|FreeGroup| . FGROUP)
+   (|FreeModule| . FM)
+   (|FreeModule1| . FM1)
+   (|FreeMonoid| . FMONOID)
+   (|FunctionalSpecialFunction| . FSPECF)
+   (|FunctionCalled| . FUNCTION)
+   (|FunctionFieldIntegralBasis| . FFINTBAS)
+   (|FunctionSpaceReduce| . FSRED)
+   (|FunctionSpaceToUnivariatePowerSeries| . FS2UPS)
+   (|FunctionSpaceToExponentialExpansion| . FS2EXPXP)
+   (|FunctionSpaceUnivariatePolynomialFactor| . FSUPFACT)
+   (|GaloisGroupFactorizationUtilities| . GALFACTU)
+   (|GaloisGroupFactorizer| . GALFACT)
+   (|GaloisGroupPolynomialUtilities| . GALPOLYU)
+   (|GaloisGroupUtilities| . GALUTIL)
+   (|GeneralHenselPackage| . GHENSEL)
+   (|GeneralDistributedMultivariatePolynomial| . GDMP)
+   (|GeneralPolynomialGcdPackage| . GENPGCD)
+   (|GeneralSparseTable| . GSTBL)
+   (|GenericNonAssociativeAlgebra| . GCNAALG)
+   (|GenExEuclid| . GENEEZ)
+   (|GeneralizedMultivariateFactorize| . GENMFACT)
+   (|GeneralModulePolynomial| . GMODPOL)
+   (|GeneralPolynomialSet| . GPOLSET)
+   (|GeneralTriangularSet| . GTSET)
+   (|GenUFactorize| . GENUFACT)
+   (|GenusZeroIntegration| . INTG0)
+   (|GosperSummationMethod| . GOSPER)
+   (|GraphImage| . GRIMAGE)
+   (|GrayCode| . GRAY)
+   (|GroebnerInternalPackage| . GBINTERN)
+   (|GroebnerSolve| . GROEBSOL)
+   (|HashTable| . HASHTBL)
+   (|Heap| . HEAP)
+   (|HeuGcd| . HEUGCD)
+   (|HomogeneousDistributedMultivariatePolynomial| . HDMP)
+   (|HyperellipticFiniteDivisor| . HELLFDIV)
+   (|IncrementingMaps| . INCRMAPS)
+   (|IndexedBits| . IBITS)
+   (|IndexedDirectProductAbelianGroup| . IDPAG)
+   (|IndexedDirectProductAbelianMonoid| . IDPAM)
+   (|IndexedDirectProductObject| . IDPO)
+   (|IndexedDirectProductOrderedAbelianMonoid| . IDPOAM)
+   (|IndexedDirectProductOrderedAbelianMonoidSup| . IDPOAMS)
+   (|IndexedExponents| . INDE)
+   (|IndexedFlexibleArray| . IFARRAY)
+   (|IndexedList| . ILIST)
+   (|IndexedMatrix| . IMATRIX)
+   (|IndexedOneDimensionalArray| . IARRAY1)
+   (|IndexedString| . ISTRING)
+   (|IndexedTwoDimensionalArray| . IARRAY2)
+   (|IndexedVector| . IVECTOR)
+   (|InnerAlgFactor| . IALGFACT)
+   (|InnerAlgebraicNumber| . IAN)
+   (|InnerCommonDenominator| . ICDEN)
+   (|InnerFiniteField| . IFF)
+   (|InnerFreeAbelianMonoid| . IFAMON)
+   (|InnerIndexedTwoDimensionalArray| . IIARRAY2)
+   (|InnerMatrixLinearAlgebraFunctions| . IMATLIN)
+   (|InnerMatrixQuotientFieldFunctions| . IMATQF)
+   (|InnerModularGcd| . INMODGCD)
+   (|InnerMultFact| . INNMFACT)
+   (|InnerNormalBasisFieldFunctions| . INBFF)
+   (|InnerNumericEigenPackage| . INEP)
+   (|InnerNumericFloatSolvePackage| . INFSP)
+   (|InnerPAdicInteger| . IPADIC)
+   (|InnerPolySign| . INPSIGN)
+   (|InnerPolySum| . ISUMP)
+   (|InnerPrimeField| . IPF)
+   (|InnerSparseUnivariatePowerSeries| . ISUPS)
+   (|InnerTable| . INTABL)
+   (|InnerTaylorSeries| . ITAYLOR)
+   (|InnerTrigonometricManipulations| . ITRIGMNP)
+   (|InputForm| . INFORM)
+   (|InputFormFunctions1| . INFORM1)
+   (|IntegerBits| . INTBIT)
+   (|IntegerFactorizationPackage| . INTFACT)
+   (|IntegerMod| . ZMOD)
+   (|IntegerSolveLinearPolynomialEquation| . INTSLPE)
+   (|IntegralBasisPolynomialTools| . IBPTOOLS)
+   (|IntegralBasisTools| . IBATOOL)
+   (|IntegrationResult| . IR)
+   (|IntegrationTools| . INTTOOLS)
+   (|InternalPrintPackage| . IPRNTPK)
+   (|InternalRationalUnivariateRepresentationPackage| . IRURPK)
+   (|IrredPolyOverFiniteField| . IRREDFFX)
+   (|Kernel| . KERNEL)
+   (|Kovacic| . KOVACIC)
+   (|LaurentPolynomial| . LAUPOL)
+   (|LeadingCoefDetermination| . LEADCDET)
+   (|LexTriangularPackage| . LEXTRIPK)
+   (|LieExponentials| . LEXP)
+   (|LiePolynomial| . LPOLY)
+   (|LinearDependence| . LINDEP)
+   (|LinearOrdinaryDifferentialOperatorFactorizer| . LODOF)
+   (|LinearOrdinaryDifferentialOperator1| . LODO1)
+   (|LinearOrdinaryDifferentialOperator2| . LODO2)
+   (|LinearOrdinaryDifferentialOperatorsOps| . LODOOPS)
+   (|LinearPolynomialEquationByFractions| . LPEFRAC)
+   (|LinGroebnerPackage| . LGROBP)
+   (|LiouvillianFunction| . LF)
+   (|ListMonoidOps| . LMOPS)
+   (|ListMultiDictionary| . LMDICT)
+   (|LocalAlgebra| . LA)
+   (|Localize| . LO)
+   (|LyndonWord| . LWORD)
+   (|Magma| . MAGMA)
+   (|MakeBinaryCompiledFunction| . MKBCFUNC)
+   (|MakeCachableSet| . MKCHSET)
+   (|MakeUnaryCompiledFunction| . MKUCFUNC)
+   (|MappingPackageInternalHacks1| . MAPHACK1)
+   (|MappingPackageInternalHacks2| . MAPHACK2)
+   (|MappingPackageInternalHacks3| . MAPHACK3)
+   (|MeshCreationRoutinesForThreeDimensions| . MESH)
+   (|ModMonic| . MODMON)
+   (|ModularField| . MODFIELD)
+   (|ModularHermitianRowReduction| . MHROWRED)
+   (|ModularRing| . MODRING)
+   (|ModuleMonomial| . MODMONOM)
+   (|MoebiusTransform| . MOEBIUS)
+   (|MonoidRing| . MRING)
+   (|MonomialExtensionTools| . MONOTOOL)
+   (|MPolyCatPolyFactorizer| . MPCPF)
+   (|MPolyCatFunctions3| . MPC3)
+   (|MRationalFactorize| . MRATFAC)
+   (|MultipleMap| . MMAP)
+   (|MultivariateLifting| . MLIFT)
+   (|MultivariateSquareFree| . MULTSQFR)
+   (|HomogeneousDirectProduct| . HDP)
+   (|NewSparseMultivariatePolynomial| . NSMP)
+   (|NewSparseUnivariatePolynomial| . NSUP)
+   (|NewSparseUnivariatePolynomialFunctions2| . NSUP2)
+   (|NonCommutativeOperatorDivision| . NCODIV)
+   (|NewtonInterpolation| . NEWTON)
+   (|None| . NONE)
+   (|NonLinearFirstOrderODESolver| . NODE1)
+   (|NonLinearSolvePackage| . NLINSOL)
+   (|NormRetractPackage| . NORMRETR)
+   (|NPCoef| . NPCOEF)
+   (|NumberFormats| . NUMFMT)
+   (|NumberFieldIntegralBasis| . NFINTBAS)
+   (|NumericTubePlot| . NUMTUBE)
+   (|ODEIntegration| . ODEINT)
+   (|ODETools| . ODETOOLS)
+   (|Operator| . OP)
+   (|OppositeMonogenicLinearOperator| . OMLO)
+   (|OrderedDirectProduct| . ODP)
+   (|OrderedFreeMonoid| . OFMONOID)
+   (|OrderedVariableList| . OVAR)
+   (|OrderingFunctions| . ORDFUNS)
+   (|OrderlyDifferentialPolynomial| . ODPOL)
+   (|OrderlyDifferentialVariable| . ODVAR)
+   (|OrdinaryWeightedPolynomials| . OWP)
+   (|OutputForm| . OUTFORM)
+   (|PadeApproximants| . PADE)
+   (|PAdicInteger| . PADIC)
+   (|PAdicRational| . PADICRAT)
+   (|PAdicRationalConstructor| . PADICRC)
+   (|PAdicWildFunctionFieldIntegralBasis| . PWFFINTB)
+   (|ParadoxicalCombinatorsForStreams| . YSTREAM)
+   (|ParametricLinearEquations| . PLEQN)
+   (|PartialFractionPackage| . PFRPAC)
+   (|Partition| . PRTITION)
+   (|Pattern| . PATTERN)
+   (|PatternFunctions1| . PATTERN1)
+   (|PatternMatchFunctionSpace| . PMFS)
+   (|PatternMatchIntegerNumberSystem| . PMINS)
+   (|PatternMatchIntegration| . INTPM)
+   (|PatternMatchKernel| . PMKERNEL)
+   (|PatternMatchListAggregate| . PMLSAGG)
+   (|PatternMatchListResult| . PATLRES)
+   (|PatternMatchPolynomialCategory| . PMPLCAT)
+   (|PatternMatchPushDown| . PMDOWN)
+   (|PatternMatchQuotientFieldCategory| . PMQFCAT)
+   (|PatternMatchResult| . PATRES)
+   (|PatternMatchSymbol| . PMSYM)
+   (|PatternMatchTools| . PMTOOLS)
+   (|PlaneAlgebraicCurvePlot| . ACPLOT)
+   (|Plot| . PLOT)
+   (|PlotFunctions1| . PLOT1)
+   (|PlotTools| . PLOTTOOL)
+   (|Plot3D| . PLOT3D)
+   (|PoincareBirkhoffWittLyndonBasis| . PBWLB)
+   (|Point| . POINT)
+   (|PointsOfFiniteOrder| . PFO)
+   (|PointsOfFiniteOrderRational| . PFOQ)
+   (|PointsOfFiniteOrderTools| . PFOTOOLS)
+   (|PointPackage| . PTPACK)
+   (|PolToPol| . POLTOPOL)
+   (|PolynomialCategoryLifting| . POLYLIFT)
+   (|PolynomialCategoryQuotientFunctions| . POLYCATQ)
+   (|PolynomialFactorizationByRecursion| . PFBR)
+   (|PolynomialFactorizationByRecursionUnivariate| . PFBRU)
+   (|PolynomialGcdPackage| . PGCD)
+   (|PolynomialInterpolation| . PINTERP)
+   (|PolynomialInterpolationAlgorithms| . PINTERPA)
+   (|PolynomialNumberTheoryFunctions| . PNTHEORY)
+   (|PolynomialRing| . PR)
+   (|PolynomialRoots| . POLYROOT)
+   (|PolynomialSetUtilitiesPackage| . PSETPK)
+   (|PolynomialSolveByFormulas| . SOLVEFOR)
+   (|PolynomialSquareFree| . PSQFR)
+   (|PrecomputedAssociatedEquations| . PREASSOC)
+   (|PrimitiveArray| . PRIMARR)
+   (|PrimitiveElement| . PRIMELT)
+   (|PrimitiveRatDE| . ODEPRIM)
+   (|PrimitiveRatRicDE| . ODEPRRIC)
+   (|Product| . PRODUCT)
+   (|PseudoRemainderSequence| . PRS)
+   (|PseudoLinearNormalForm| . PSEUDLIN)
+   (|PureAlgebraicIntegration| . INTPAF)
+   (|PureAlgebraicLODE| . ODEPAL)
+   (|PushVariables| . PUSHVAR)
+   (|QuasiAlgebraicSet| . QALGSET)
+   (|QuasiAlgebraicSet2| . QALGSET2)
+   (|RadicalFunctionField| . RADFF)
+   (|RandomDistributions| . RDIST)
+   (|RandomFloatDistributions| . RFDIST)
+   (|RandomIntegerDistributions| . RIDIST)
+   (|RationalFactorize| . RATFACT)
+   (|RationalIntegration| . INTRAT)
+   (|RationalInterpolation| . RINTERP)
+   (|RationalLODE| . ODERAT)
+   (|RationalRicDE| . ODERTRIC)
+   (|RationalUnivariateRepresentationPackage| . RURPK)
+   (|RealSolvePackage| . REALSOLV)
+   (|RectangularMatrix| . RMATRIX)
+   (|ReducedDivisor| . RDIV)
+   (|ReduceLODE| . ODERED)
+   (|ReductionOfOrder| . REDORDER)
+   (|Reference| . REF)
+   (|RepeatedDoubling| . REPDB)
+   (|RepeatedSquaring| . REPSQ)
+   (|ResidueRing| . RESRING)
+   (|RetractSolvePackage| . RETSOL)
+   (|RuleCalled| . RULECOLD)
+   (|SetOfMIntegersInOneToN| . SETMN)
+   (|SExpression| . SEX)
+   (|SExpressionOf| . SEXOF)
+   (|SequentialDifferentialPolynomial| . SDPOL)
+   (|SequentialDifferentialVariable| . SDVAR)
+   (|SimpleAlgebraicExtension| . SAE)
+   (|SingletonAsOrderedSet| . SAOS)
+   (|SortedCache| . SCACHE)
+   (|SortPackage| . SORTPAK)
+   (|SparseMultivariatePolynomial| . SMP)
+   (|SparseMultivariateTaylorSeries| . SMTS)
+   (|SparseTable| . STBL)
+   (|SparseUnivariatePolynomial| . SUP)
+   (|SparseUnivariateSkewPolynomial| . ORESUP)
+   (|SparseUnivariateLaurentSeries| . SULS)
+   (|SparseUnivariatePuiseuxSeries| . SUPXS)
+   (|SparseUnivariateTaylorSeries| . SUTS)
+   (|SplitHomogeneousDirectProduct| . SHDP)
+   (|SplittingNode| . SPLNODE)
+   (|SplittingTree| . SPLTREE)
+   (|SquareMatrix| . SQMATRIX)
+   (|Stack| . STACK)
+   (|StorageEfficientMatrixOperations| . MATSTOR)
+   (|StreamInfiniteProduct| . STINPROD)
+   (|StreamTaylorSeriesOperations| . STTAYLOR)
+   (|StreamTranscendentalFunctions| . STTF)
+   (|StreamTranscendentalFunctionsNonCommutative| . STTFNC)
+   (|StringTable| . STRTBL)
+   (|SubResultantPackage| . SUBRESP)
+   (|SubSpace| . SUBSPACE)
+   (|SubSpaceComponentProperty| . COMPPROP)
+   (|SuchThat| . SUCH)
+   (|SupFractionFactorizer| . SUPFRACF)
+   (|SymmetricFunctions| . SYMFUNC)
+   (|SymmetricPolynomial| . SYMPOLY)
+   (|SystemODESolver| . ODESYS)
+   (|Table| . TABLE)
+   (|TableauxBumpers| . TABLBUMP)
+   (|TabulatedComputationPackage| . TBCMPPK)
+   (|TangentExpansions| . TANEXP)
+   (|ToolsForSign| . TOOLSIGN)
+   (|TranscendentalHermiteIntegration| . INTHERTR)
+   (|TranscendentalIntegration| . INTTR)
+   (|TranscendentalRischDE| . RDETR)
+   (|TranscendentalRischDESystem| . RDETRS)
+   (|TransSolvePackageService| . SOLVESER)
+   (|TriangularMatrixOperations| . TRIMAT)
+   (|TubePlot| . TUBE)
+   (|TubePlotTools| . TUBETOOL)
+   (|Tuple| . TUPLE)
+   (|TwoDimensionalArray| . ARRAY2)
+   (|TwoDimensionalPlotClipping| . CLIP)
+   (|TwoDimensionalViewport| . VIEW2D)
+   (|TwoFactorize| . TWOFACT)
+   (|UnivariateFactorize| . UNIFACT)
+   (|UnivariateLaurentSeries| . ULS)
+   (|UnivariateLaurentSeriesConstructor| . ULSCONS)
+   (|UnivariatePolynomialDecompositionPackage| . UPDECOMP)
+   (|UnivariatePolynomialDivisionPackage| . UPDIVP)
+   (|UnivariatePolynomialSquareFree| . UPSQFREE)
+   (|UnivariatePuiseuxSeries| . UPXS)
+   (|UnivariatePuiseuxSeriesConstructor| . UPXSCONS)
+   (|UnivariatePuiseuxSeriesWithExponentialSingularity| . UPXSSING)
+   (|UnivariateSkewPolynomial| . OREUP)
+   (|UnivariateSkewPolynomialCategoryOps| . OREPCTO)
+   (|UnivariateTaylorSeries| . UTS)
+   (|UnivariateTaylorSeriesODESolver| . UTSODE)
+   (|UserDefinedPartialOrdering| . UDPO)
+   (|UTSodetools| . UTSODETL)
+   (|Variable| . VARIABLE)
+   (|ViewportPackage| . VIEW)
+   (|WeierstrassPreparation| . WEIER)
+   (|WeightedPolynomials| . WP)
+   (|WildFunctionFieldIntegralBasis| . WFFINTBS)
+   (|XDistributedPolynomial| . XDPOLY)
+   (|XExponentialPackage| . XEXPPKG)
+   (|XPBWPolynomial| . XPBWPOLY)
+   (|XPolynomial| . XPOLY)
+   (|XPolynomialRing| . XPR)
+   (|XRecursivePolynomial| . XRPOLY))
+ (|defaults| 
+   (|AbelianGroup&| . ABELGRP-)
+   (|AbelianMonoid&| . ABELMON-)
+   (|AbelianMonoidRing&| . AMR-)
+   (|AbelianSemiGroup&| . ABELSG-)
+   (|Aggregate&| . AGG-)
+   (|Algebra&| . ALGEBRA-)
+   (|AlgebraicallyClosedField&| . ACF-)
+   (|AlgebraicallyClosedFunctionSpace&| . ACFS-)
+   (|ArcTrigonometricFunctionCategory&| . ATRIG-)
+   (|BagAggregate&| . BGAGG-)
+   (|BasicType&| . BASTYPE-)
+   (|BinaryRecursiveAggregate&| . BRAGG-)
+   (|BinaryTreeCategory&| . BTCAT-)
+   (|BitAggregate&| . BTAGG-)
+   (|Collection&| . CLAGG-)
+   (|ComplexCategory&| . COMPCAT-)
+   (|Dictionary&| . DIAGG-)
+   (|DictionaryOperations&| . DIOPS-)
+   (|DifferentialExtension&| . DIFEXT-)
+   (|DifferentialPolynomialCategory&| . DPOLCAT-)
+   (|DifferentialRing&| . DIFRING-)
+   (|DifferentialVariableCategory&| . DVARCAT-)
+   (|DirectProductCategory&| . DIRPCAT-)
+   (|DivisionRing&| . DIVRING-)
+   (|ElementaryFunctionCategory&| . ELEMFUN-)
+   (|EltableAggregate&| . ELTAGG-)
+   (|EuclideanDomain&| . EUCDOM-)
+   (|Evalable&| . EVALAB-)
+   (|ExpressionSpace&| . ES-)
+   (|ExtensibleLinearAggregate&| . ELAGG-)
+   (|ExtensionField&| . XF-)
+   (|Field&| . FIELD-)
+   (|FieldOfPrimeCharacteristic&| . FPC-)
+   (|FiniteAbelianMonoidRing&| . FAMR-)
+   (|FiniteAlgebraicExtensionField&| . FAXF-)
+   (|FiniteDivisorCategory&| . FDIVCAT-)
+   (|FiniteFieldCategory&| . FFIELDC-)
+   (|FiniteLinearAggregate&| . FLAGG-)
+   (|FiniteSetAggregate&| . FSAGG-)
+   (|FiniteRankAlgebra&| . FINRALG-)
+   (|FiniteRankNonAssociativeAlgebra&| . FINAALG-)
+   (|FloatingPointSystem&| . FPS-)
+   (|FramedAlgebra&| . FRAMALG-)
+   (|FramedNonAssociativeAlgebra&| . FRNAALG-)
+   (|FullyEvalableOver&| . FEVALAB-)
+   (|FullyLinearlyExplicitRingOver&| . FLINEXP-)
+   (|FullyRetractableTo&| . FRETRCT-)
+   (|FunctionFieldCategory&| . FFCAT-)
+   (|FunctionSpace&| . FS-)
+   (|GcdDomain&| . GCDDOM-)
+   (|GradedAlgebra&| . GRALG-)
+   (|GradedModule&| . GRMOD-)
+   (|Group&| . GROUP-)
+   (|HomogeneousAggregate&| . HOAGG-)
+   (|HyperbolicFunctionCategory&| . HYPCAT-)
+   (|IndexedAggregate&| . IXAGG-)
+   (|InnerEvalable&| . IEVALAB-)
+   (|IntegerNumberSystem&| . INS-)
+   (|IntegralDomain&| . INTDOM-)
+   (|KeyedDictionary&| . KDAGG-)
+   (|LazyStreamAggregate&| . LZSTAGG-)
+   (|LeftAlgebra&| . LALG-)
+   (|LieAlgebra&| . LIECAT-)
+   (|LinearAggregate&| . LNAGG-)
+   (|ListAggregate&| . LSAGG-)
+   (|Logic&| . LOGIC-)
+   (|LinearOrdinaryDifferentialOperatorCategory&| . LODOCAT-)
+   (|MatrixCategory&| . MATCAT-)
+   (|Module&| . MODULE-)
+   (|Monad&| . MONAD-)
+   (|MonadWithUnit&| . MONADWU-)
+   (|Monoid&| . MONOID-)
+   (|MonogenicAlgebra&| . MONOGEN-)
+   (|NonAssociativeAlgebra&| . NAALG-)
+   (|NonAssociativeRing&| . NASRING-)
+   (|NonAssociativeRng&| . NARNG-)
+   (|OctonionCategory&| . OC-)
+   (|OneDimensionalArrayAggregate&| . A1AGG-)
+   (|OrderedRing&| . ORDRING-)
+   (|OrderedSet&| . ORDSET-)
+   (|PartialDifferentialRing&| . PDRING-)
+   (|PolynomialCategory&| . POLYCAT-)
+   (|PolynomialFactorizationExplicit&| . PFECAT-)
+   (|PolynomialSetCategory&| . PSETCAT-)
+   (|PowerSeriesCategory&| . PSCAT-)
+   (|QuaternionCategory&| . QUATCAT-)
+   (|QuotientFieldCategory&| . QFCAT-)
+   (|RadicalCategory&| . RADCAT-)
+   (|RealClosedField&| . RCFIELD-)
+   (|RealNumberSystem&| . RNS-)
+   (|RealRootCharacterizationCategory&| . RRCC-)
+   (|RectangularMatrixCategory&| . RMATCAT-)
+   (|RecursiveAggregate&| . RCAGG-)
+   (|RecursivePolynomialCategory&| . RPOLCAT-)
+   (|RegularTriangularSetCategory&| . RSETCAT-)
+   (|RetractableTo&| . RETRACT-)
+   (|Ring&| . RING-)
+   (|SemiGroup&| . SGROUP-)
+   (|SetAggregate&| . SETAGG-)
+   (|SetCategory&| . SETCAT-)
+   (|SquareMatrixCategory&| . SMATCAT-)
+   (|StreamAggregate&| . STAGG-)
+   (|StringAggregate&| . SRAGG-)
+   (|TableAggregate&| . TBAGG-)
+   (|TranscendentalFunctionCategory&| . TRANFUN-)
+   (|TriangularSetCategory&| . TSETCAT-)
+   (|TrigonometricFunctionCategory&| . TRIGCAT-)
+   (|TwoDimensionalArrayCategory&| . ARR2CAT-)
+   (|UnaryRecursiveAggregate&| . URAGG-)
+   (|UniqueFactorizationDomain&| . UFD-)
+   (|UnivariateLaurentSeriesConstructorCategory&| . ULSCCAT-)
+   (|UnivariatePolynomialCategory&| . UPOLYC-)
+   (|UnivariatePowerSeriesCategory&| . UPSCAT-)
+   (|UnivariatePuiseuxSeriesConstructorCategory&| . UPXSCCA-)
+   (|UnivariateSkewPolynomialCategory&| . OREPCAT-)
+   (|UnivariateTaylorSeriesCategory&| . UTSCAT-)
+   (|VectorCategory&| . VECTCAT-)
+   (|VectorSpace&| . VSPACE-)))))
+
+@
+
+<<postvars>>=
+(eval-when (eval load)
+ (setq |$localExposureDataDefault|
+  (vector
+    ;;These groups will be exposed 
+   (list '|basic| '|categories| '|naglink| '|anna|)
+    ;;These constructors will be explicitly exposed
+   (list )
+    ;;These constructors will be explicitly hidden
+   (list ))))
+
+@
+
+<<postvars>>=
+(eval-when (eval load)
+ (setq |$localExposureData|  (copy-seq |$localExposureDataDefault|)))
+
+@
+
 \section{Functions}
 \defunsec{setExpose}{The top level set expose command handler}
-\calls{setExpose}{loadExposureGroupData}
 \calls{setExpose}{displayExposedGroups}
 \calls{setExpose}{sayMSG}
 \calls{setExpose}{displayExposedConstructors}
@@ -16358,7 +17589,7 @@ The input-libraries variable is now maintained as a list of truenames.
  "The top level set expose command handler"
  (let (fnargs fn)
    (cond
-    ((eq arg '|%initialize%|) (|loadExposureGroupData|))
+    ((eq arg '|%initialize%|))
     ((eq arg '|%display%|) "...")
     ((or (null arg) (eq arg '|%describe%|) (eq (car arg) '?))
      (|displayExposedGroups|)
@@ -16366,16 +17597,13 @@ The input-libraries variable is now maintained as a list of truenames.
      (|displayExposedConstructors|)
      (|sayMSG| " ")
      (|displayHiddenConstructors|)
-     (|sayMSG| " ")
-     (|sayKeyedMsg| 's2iz0049d
-      (list (|namestring| (|pathname| (list '|interp| '|exposed|))))))
+     (|sayMSG| " "))
     ((and (pairp arg)
           (progn (setq fn (qcar arg)) (setq fnargs (qcdr arg)) t)
-          (setq fn (|selectOptionLC| fn '(|add| |drop| |initialize|) nil)))
+          (setq fn (|selectOptionLC| fn '(|add| |drop|) nil)))
      (cond
       ((eq fn '|add|) (|setExposeAdd| fnargs))
       ((eq fn '|drop|) (|setExposeDrop| fnargs))
-      ((eq fn '|initialize|) (|setExpose| '|%initialize%|))
       (t nil)))
     (t (|setExpose| nil)))))
 
@@ -16457,9 +17685,6 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
     '|The group Option| $linelength (|specialChar| '|hbar|))
    (|displayExposedGroups|)
    (|sayMSG| " ")
-   (|sayKeyedMsg| 's2iz0049g 
-    (list (|namestring| (|pathname| (list '|interp| '|exposed| )))))
-   (|sayMSG| " ")
    (|sayAsManyPerLineAsPossible|
     (mapcar #'(lambda (x) (|object2String| (first x))) 
       |$globalExposureGroupAlist|)))
@@ -26472,29 +27697,12 @@ purposes but they contain functions have common names (like
 ``map''. In order to separate the user visible  functions
 from the internal functions the algebra files are collected into
 ``exposure groups''. These large groups are grouped into sets in
-the file \verb|exposed.lsp| which lives in the algebra subdirectory.
+the variable \verb|$globalExposureGroupAlist|.
 
 Exposure group information is kept in the local frame. For more
 information ``The Frame Mechanism'' \ref{TheFrameMechanism} on
 page~\pageref{TheFrameMechanism}.
 
-\pagehead{loadExposureGroupData}{loadExposureGroupData}
-This function is called from \fnref{restart} at system startup time to 
-load the file \verb|exposed.lsp| to set up the exposure group information.
-\calls{loadExposureGroupData}{concat}
-\calls{loadExposureGroupData}{getenviron}
-<<defun loadExposureGroupData>>=
-(defun |loadExposureGroupData| ()
- (cond
-  ((load "./exposed" :verbose nil :if-does-not-exist nil)
-    '|done|)
-  ((load (concat (getenviron "AXIOM") "/algebra/exposed")
-     :verbose nil :if-does-not-exist nil)
-   '|done|)
-  (t '|failed|) ))
-
-@
-
 \chapter{Databases}
 \section{Database structure}
 In order to understand this program you need to understand some details
@@ -29576,7 +30784,6 @@ See Steele Common Lisp 1990 pp305-307
 <<defun lnPlaceOfOrigin>>
 <<defun lnSetGlobalNum>>
 <<defun lnString>>
-<<defun loadExposureGroupData>>
 <<defun localdatabase>>
 <<defun localnrlib>>
 <<defun lotsof>>
diff --git a/changelog b/changelog
index 04dc4e8..e39bd52 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,15 @@
+20100116 tpd src/axiom-website/patches.html 20100116.01.tpd.patch
+20100116 tpd src/interp/vmlisp.lisp remove exposed from get-directory-list
+20100116 tpd src/interp/util.lisp remove libcheck
+20100116 tpd src/interp/monitor.lisp comment monitor-readinterp
+20100116 tpd src/interp/i-toplev.lisp do not call loadExposureGroupData
+20100116 tpd src/interp/Makefile remove exposed.lsp
+20100116 tpd src/input/unittest1.input fixup setcmd unit tests
+20100116 tpd src/input/setcmd.input fixup setcmd unit tests
+20100116 tpd src/doc/msgs/s2-us.msgs remove S2IZ0049D
+20100116 tpd src/algebra/Makefile remove exposed.lsp
+20100116 tpd src/algebra/exposed.lsp removed, merged with bookvol5
+20100116 tpd books/bookvol5 merge exposed.lsp
 20100115 tpd src/axiom-website/patches.html 20100115.03.tpd.patch
 20100115 tpd books/bookvol5 do not set si::*system-directory* in restart
 20100115 tpd src/axiom-website/patches.html 20100115.02.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 300408b..88433f6 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17,12 +17,6 @@ algebra code that gets shipped with the system needs to undergo this
 process. User code can be compiled once the distributed algebra exists
 and does not need either this Makefile or this installation process.
 
-NOTE: If you add new algebra to this file you must also update
-
-[[src/algebra/exposed.lsp.pamphlet]]
-
-otherwise the new algebra won't be loaded by the interpreter when needed.
-
 Since understanding is the key to making correct changes to this file
 I'll work on explaining the details of why things need to exist. 
 
@@ -15812,7 +15806,6 @@ ALDORFILES= \
 <<environment>>=
 
 DOCFILES= \
- ${DOC}/exposed.lsp.dvi \
  ${DOC}/herm.as.dvi \
  ${DOC}/interval.as.dvi \
  ${DOC}/invnode.as.dvi ${DOC}/invrender.as.dvi \
@@ -18219,26 +18212,15 @@ gloss:
 	@ cp ${SRC}/share/algebra/glossdef.text ${MNT}/${SYS}/algebra
 	@ cp ${SRC}/share/algebra/glosskey.text ${MNT}/${SYS}/algebra
 
-everything: check lib db cmd gloss
+everything: lib db cmd gloss
 	@ echo 4303 invoking make in `pwd` with parms:
 	@ echo SYS= ${SYS} LSP= ${LSP} PART= ${PART} SUBPART= ${SUBPART}
 	@ echo SPAD= ${SPAD} SRC= ${SRC} INT= ${INT}
 	@ echo OBJ= ${OBJ} MNT= ${MNT} O=${O} LISP=${LISP} BYE=${BYE}
 
-#src:	${AS}
 src:	${ORDER}
 	@ echo 4304 Building nrlibS from spad sources
 
-#	@ (cd ${MID} ; \
-#	   echo '(progn (let ((*package* (find-package "BOOT"))) (boot::makespad "${MID}" "${MID}" "${LISP}")) (${BYE}))' | ${DEPSYS} )
-
-check:
-	@ echo 4305 Checking that interp.exposed and nrlibs are consistent
-	@ echo 4306 libcheck needs to use exposed.lsp, not interp.exposed
-#	@ (cd ${MID} ; \
-#           echo '(progn (let ((*package* (find-package "BOOT"))) (boot::libcheck "${IN}" "${MID}" "${OUT}" "${MAIL}")) (${BYE}))' | ${DEPSYS} )
-
-
 document: ${DOCFILES}
 
 <<genericRules>>
diff --git a/src/algebra/exposed.lsp.pamphlet b/src/algebra/exposed.lsp.pamphlet
deleted file mode 100644
index 915404d..0000000
--- a/src/algebra/exposed.lsp.pamphlet
+++ /dev/null
@@ -1,1284 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\begin{document}
-\title{\$SPAD/src/algebra exposed.lsp}
-\author{Timothy Daly}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-<<license>>=
-;;Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
-;;All rights reserved.
-;;
-;;Redistribution and use in source and binary forms, with or without
-;;modification, are permitted provided that the following conditions are
-;;met:
-;;
-;;    - Redistributions of source code must retain the above copyright
-;;      notice, this list of conditions and the following disclaimer.
-;;
-;;    - Redistributions in binary form must reproduce the above copyright
-;;      notice, this list of conditions and the following disclaimer in
-;;      the documentation and/or other materials provided with the
-;;      distribution.
-;;
-;;    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
-;;      names of its contributors may be used to endorse or promote products
-;;      derived from this software without specific prior written permission.
-;;
-;;THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
-;;IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-;;TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
-;;PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
-;;OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-;;EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-;;PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
-;;PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-;;LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-;;NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-;;SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-@
-<<*>>=
-<<license>>
-
-(in-package 'BOOT)
-(setq |$globalExposureGroupAlist|
-'(
-;;define the groups |basic| |naglink| |anna| |categories| |Hidden| |defaults|
-(|basic| 
-  (|AlgebraicManipulations| . ALGMANIP)
-  (|AlgebraicNumber| . AN)
-  (|AlgFactor| . ALGFACT)
-  (|AlgebraicMultFact| . ALGMFACT)
-  (|AlgebraPackage| . ALGPKG)
-  (|AlgebraGivenByStructuralConstants| . ALGSC)
-  (|Any| . ANY)
-  (|AnyFunctions1| . ANY1)
-  (|ApplicationProgramInterface| . API)
-  (|ArrayStack| . ASTACK)
-  (|AssociatedJordanAlgebra| . JORDAN)
-  (|AssociatedLieAlgebra| . LIE)
-  (|AttachPredicates| . PMPRED)
-  (|AxiomServer| . AXSERV)
-  (|BalancedBinaryTree| . BBTREE)
-  (|BasicOperator| . BOP)
-  (|BasicOperatorFunctions1| . BOP1)
-  (|Bezier| . BEZIER)
-  (|BinaryExpansion| . BINARY)
-  (|BinaryFile| . BINFILE)
-  (|BinarySearchTree| . BSTREE)
-  (|BinaryTournament| . BTOURN)
-  (|BinaryTree| . BTREE)
-  (|Bits| . BITS)
-  (|Boolean| . BOOLEAN)
-  (|CardinalNumber| . CARD)
-  (|CartesianTensor| . CARTEN)
-  (|CartesianTensorFunctions2| . CARTEN2)
-  (|Character| . CHAR)
-  (|CharacterClass| . CCLASS)
-  (|CharacteristicPolynomialPackage| . CHARPOL)
-  (|CliffordAlgebra| . CLIF)
-  (|Color| . COLOR)
-  (|CommonDenominator| . CDEN)
-  (|Commutator| . COMM)
-  (|Complex| . COMPLEX)
-  (|ComplexFactorization| . COMPFACT)
-  (|ComplexFunctions2| . COMPLEX2)
-  (|ComplexRootPackage| . CMPLXRT)
-  (|ComplexTrigonometricManipulations| . CTRIGMNP)
-  (|ContinuedFraction| . CONTFRAC)
-  (|CoordinateSystems| . COORDSYS)
-  (|CRApackage| . CRAPACK)
-  (|CycleIndicators| . CYCLES)
-  (|Database| . DBASE)
-  (|DataList| . DLIST)
-  (|DecimalExpansion| . DECIMAL)
-  (|DenavitHartenbergMatrix| . DHMATRIX)
-  (|Dequeue| . DEQUEUE)
-  (|DiophantineSolutionPackage| . DIOSP)
-  (|DirectProductFunctions2| . DIRPROD2)
-  (|DisplayPackage| . DISPLAY)
-  (|DistinctDegreeFactorize| . DDFACT)
-  (|DoubleFloat| . DFLOAT)
-  (|DoubleFloatSpecialFunctions| . DFSFUN)
-  (|DrawComplex| . DRAWCX)
-  (|DrawNumericHack| . DRAWHACK)
-  (|DrawOption| . DROPT)
-  (|EigenPackage| . EP)
-  (|ElementaryFunctionDefiniteIntegration| . DEFINTEF)
-  (|ElementaryFunctionLODESolver| . LODEEF)
-  (|ElementaryFunctionODESolver| . ODEEF)
-  (|ElementaryFunctionSign| . SIGNEF)
-  (|ElementaryFunctionStructurePackage| . EFSTRUC)
-  (|Equation| . EQ)
-  (|EquationFunctions2| . EQ2)
-  (|ErrorFunctions| . ERROR)
-  (|EuclideanGroebnerBasisPackage| . GBEUCLID)
-  (|Exit| . EXIT)
-  (|Expression| . EXPR)
-  (|ExpressionFunctions2| . EXPR2)
-  (|ExpressionSolve| . EXPRSOL)
-  (|ExpressionSpaceFunctions2| . ES2)
-  (|ExpressionSpaceODESolver| . EXPRODE)
-  (|ExpressionToOpenMath| . OMEXPR)
-  (|ExpressionToUnivariatePowerSeries| . EXPR2UPS)
-  (|Factored| . FR)
-  (|FactoredFunctions2| . FR2)
-  (|File| . FILE)
-  (|FileName| . FNAME)
-  (|FiniteAbelianMonoidRingFunctions2| . FAMR2)
-  (|FiniteDivisorFunctions2| . FDIV2)
-  (|FiniteField| . FF)
-  (|FiniteFieldCyclicGroup| . FFCG)
-  (|FiniteFieldPolynomialPackage2| . FFPOLY2)
-  (|FiniteFieldNormalBasis| . FFNB)
-  (|FiniteFieldHomomorphisms| . FFHOM)
-  (|FiniteLinearAggregateFunctions2| . FLAGG2)
-  (|FiniteLinearAggregateSort| . FLASORT)
-  (|FiniteSetAggregateFunctions2| . FSAGG2)
-  (|FlexibleArray| . FARRAY)
-  (|Float| . FLOAT)
-  (|FloatingRealPackage| . FLOATRP)
-  (|FloatingComplexPackage| . FLOATCP)
-  (|FourierSeries| . FSERIES)
-  (|Fraction| . FRAC)
-  (|FractionalIdealFunctions2| . FRIDEAL2)
-  (|FractionFreeFastGaussian| . FFFG)
-  (|FractionFreeFastGaussianFractions| . FFFGF)
-  (|FractionFunctions2| . FRAC2)
-  (|FreeNilpotentLie| . FNLA)
-  (|FullPartialFractionExpansion| . FPARFRAC)
-  (|FunctionFieldCategoryFunctions2| . FFCAT2)
-  (|FunctionSpaceAssertions| . PMASSFS)
-  (|FunctionSpaceAttachPredicates| . PMPREDFS)
-  (|FunctionSpaceComplexIntegration| . FSCINT)
-  (|FunctionSpaceFunctions2| . FS2)
-  (|FunctionSpaceIntegration| . FSINT)
-  (|FunctionSpacePrimitiveElement| . FSPRMELT)
-  (|FunctionSpaceSum| . SUMFS)
-  (|GaussianFactorizationPackage| . GAUSSFAC)
-  (|GeneralUnivariatePowerSeries| . GSERIES)
-  (|GenerateUnivariatePowerSeries| . GENUPS)
-  (|GraphicsDefaults| . GRDEF)
-  (|GroebnerPackage| . GB)
-  (|GroebnerFactorizationPackage| . GBF)
-  (|Guess| . GUESS)
-  (|GuessAlgebraicNumber| . GUESSAN)
-  (|GuessFinite| . GUESSF)
-  (|GuessFiniteFunctions| . GUESSF1)
-  (|GuessInteger| . GUESSINT)
-  (|GuessOption| . GOPT)
-  (|GuessOptionFunctions0| . GOPT0)
-  (|GuessPolynomial| . GUESSP)
-  (|GuessUnivariatePolynomial| . GUESSUP)
-  (|HallBasis| . HB)
-  (|Heap| . HEAP)
-  (|HexadecimalExpansion| . HEXADEC)
-  (|IndexCard| . ICARD)
-  (|IdealDecompositionPackage| . IDECOMP)
-  (|InfiniteProductCharacteristicZero| . INFPROD0)
-  (|InfiniteProductFiniteField| . INPRODFF)
-  (|InfiniteProductPrimeField| . INPRODPF)
-  (|InfiniteTuple| . ITUPLE)
-  (|InfiniteTupleFunctions2| . ITFUN2)
-  (|InfiniteTupleFunctions3| . ITFUN3)
-  (|Infinity| . INFINITY)
-  (|Integer| . INT)
-  (|IntegerCombinatoricFunctions| . COMBINAT)
-  (|IntegerLinearDependence| . ZLINDEP)
-  (|IntegerNumberTheoryFunctions| . INTHEORY)
-  (|IntegerPrimesPackage| . PRIMES)
-  (|IntegerRetractions| . INTRET)
-  (|IntegerRoots| . IROOT)
-  (|IntegrationResultFunctions2| . IR2)
-  (|IntegrationResultRFToFunction| . IRRF2F)
-  (|IntegrationResultToFunction| . IR2F)
-  (|Interval| . INTRVL)
-  (|InventorDataSink| . IVDATA)
-  (|InventorViewPort| . IVVIEW)
-  (|InventorRenderPackage| . IVREND)
-  (|InverseLaplaceTransform| . INVLAPLA)
-  (|IrrRepSymNatPackage| . IRSN)
-  (|KernelFunctions2| . KERNEL2)
-  (|KeyedAccessFile| . KAFILE)
-  (|LaplaceTransform| . LAPLACE)
-  (|LazardMorenoSolvingPackage| . LAZM3PK)
-  (|Library| . LIB)
-  (|LieSquareMatrix| . LSQM)
-  (|LinearOrdinaryDifferentialOperator| . LODO)
-  (|LinearSystemMatrixPackage| . LSMP)
-  (|LinearSystemMatrixPackage1| . LSMP1)
-  (|LinearSystemPolynomialPackage| . LSPP)
-  (|List| . LIST)
-  (|ListFunctions2| . LIST2)
-  (|ListFunctions3| . LIST3)
-  (|ListToMap| . LIST2MAP)
-  (|MakeFloatCompiledFunction| . MKFLCFN)
-  (|MakeFunction| . MKFUNC)
-  (|MakeRecord| . MKRECORD)
-  (|MappingPackage1| . MAPPKG1)
-  (|MappingPackage2| . MAPPKG2)
-  (|MappingPackage3| . MAPPKG3)
-  (|MappingPackage4| . MAPPKG4)
-  (|MathMLFormat| . MMLFORM)
-  (|Matrix| . MATRIX)
-  (|MatrixCategoryFunctions2| . MATCAT2)
-  (|MatrixCommonDenominator| . MCDEN)
-  (|MatrixLinearAlgebraFunctions| . MATLIN)
-  (|MergeThing| . MTHING)
-  (|ModularDistinctDegreeFactorizer| . MDDFACT)
-  (|ModuleOperator| . MODOP)
-  (|MonoidRingFunctions2| . MRF2)
-  (|MoreSystemCommands| . MSYSCMD)
-  (|MPolyCatFunctions2| . MPC2)
-  (|MPolyCatRationalFunctionFactorizer| . MPRFF)
-  (|Multiset| . MSET)
-  (|MultivariateFactorize| . MULTFACT)
-  (|MultivariatePolynomial| . MPOLY)
-  (|MultFiniteFactorize| . MFINFACT)
-  (|MyUnivariatePolynomial| . MYUP)
-  (|MyExpression| . MYEXPR)
-  (|NoneFunctions1| . NONE1)
-  (|NonNegativeInteger| . NNI)
-  (|NottinghamGroup| . NOTTING)
-  (|NormalizationPackage| . NORMPK)
-  (|NormInMonogenicAlgebra| . NORMMA)
-  (|NumberTheoreticPolynomialFunctions| . NTPOLFN)
-  (|Numeric| . NUMERIC)
-  (|NumericalOrdinaryDifferentialEquations| . NUMODE)
-  (|NumericalQuadrature| . NUMQUAD)
-  (|NumericComplexEigenPackage| . NCEP)
-  (|NumericRealEigenPackage| . NREP)
-  (|NumericContinuedFraction| . NCNTFRAC)
-  (|Octonion| . OCT)
-  (|OctonionCategoryFunctions2| . OCTCT2)
-  (|OneDimensionalArray| . ARRAY1)
-  (|OneDimensionalArrayFunctions2| . ARRAY12)
-  (|OnePointCompletion| . ONECOMP)
-  (|OnePointCompletionFunctions2| . ONECOMP2)
-  (|OpenMathConnection| . OMCONN)
-  (|OpenMathDevice| . OMDEV)
-  (|OpenMathEncoding| . OMENC)
-  (|OpenMathError| . OMERR)
-  (|OpenMathErrorKind| . OMERRK)
-  (|OpenMathPackage| . OMPKG)
-  (|OpenMathServerPackage| . OMSERVER)
-  (|OperationsQuery| . OPQUERY)
-  (|OrderedCompletion| . ORDCOMP)
-  (|OrderedCompletionFunctions2| . ORDCOMP2)
-  (|OrdinaryDifferentialRing| . ODR)
-  (|OrdSetInts| . OSI)
-  (|OrthogonalPolynomialFunctions| . ORTHPOL)
-  (|OutputPackage| . OUT)
-  (|PadeApproximantPackage| . PADEPAC)
-  (|Palette| . PALETTE)
-  (|PartialFraction| . PFR)
-  (|PatternFunctions2| . PATTERN2)
-  (|ParametricPlaneCurve| . PARPCURV)
-  (|ParametricSpaceCurve| . PARSCURV)
-  (|ParametricSurface| . PARSURF)
-  (|ParametricPlaneCurveFunctions2| . PARPC2)
-  (|ParametricSpaceCurveFunctions2| . PARSC2)
-  (|ParametricSurfaceFunctions2| . PARSU2)
-  (|PartitionsAndPermutations| . PARTPERM)
-  (|PatternMatch| . PATMATCH)
-  (|PatternMatchAssertions| . PMASS)
-  (|PatternMatchResultFunctions2| . PATRES2)
-  (|PendantTree| . PENDTREE)
-  (|Permanent| . PERMAN)
-  (|PermutationGroupExamples| . PGE)
-  (|PermutationGroup| . PERMGRP)
-  (|Permutation| . PERM)
-  (|Pi| . HACKPI)
-  (|PiCoercions| . PICOERCE)
-  (|PointFunctions2| . PTFUNC2)
-  (|PolyGroebner| . PGROEB)
-  (|Polynomial| . POLY)
-  (|PolynomialAN2Expression| . PAN2EXPR)
-  (|PolynomialComposition| . PCOMP)
-  (|PolynomialDecomposition| . PDECOMP)
-  (|PolynomialFunctions2| . POLY2)
-  (|PolynomialIdeals| . IDEAL)
-  (|PolynomialToUnivariatePolynomial| . POLY2UP)
-  (|PositiveInteger| . PI)
-  (|PowerSeriesLimitPackage| . LIMITPS)
-  (|PrimeField| . PF)
-  (|PrimitiveArrayFunctions2| . PRIMARR2)
-  (|PrintPackage| . PRINT)
-  (|QuadraticForm| . QFORM)
-  (|QuasiComponentPackage| . QCMPACK)
-  (|Quaternion| . QUAT)
-  (|QuaternionCategoryFunctions2| . QUATCT2)
-  (|QueryEquation| . QEQUAT)
-  (|Queue| . QUEUE)
-  (|QuotientFieldCategoryFunctions2| . QFCAT2)
-  (|RadicalEigenPackage| . REP)
-  (|RadicalSolvePackage| . SOLVERAD)
-  (|RadixExpansion| . RADIX)
-  (|RadixUtilities| . RADUTIL)
-  (|RandomNumberSource| . RANDSRC)
-  (|RationalFunction| . RF)
-  (|RationalFunctionDefiniteIntegration| . DEFINTRF)
-  (|RationalFunctionFactor| . RFFACT)
-  (|RationalFunctionFactorizer| . RFFACTOR)
-  (|RationalFunctionIntegration| . INTRF)
-  (|RationalFunctionLimitPackage| . LIMITRF)
-  (|RationalFunctionSign| . SIGNRF)
-  (|RationalFunctionSum| . SUMRF)
-  (|RationalRetractions| . RATRET)
-  (|RealClosure| . RECLOS)
-  (|RealPolynomialUtilitiesPackage| . POLUTIL)
-  (|RealZeroPackage| . REAL0)
-  (|RealZeroPackageQ| . REAL0Q)
-  (|RecurrenceOperator| . RECOP)
-  (|RectangularMatrixCategoryFunctions2| . RMCAT2)
-  (|RegularSetDecompositionPackage| . RSDCMPK)
-  (|RegularTriangularSet| . REGSET)
-  (|RegularTriangularSetGcdPackage| . RSETGCD)
-  (|RepresentationPackage1| . REP1)
-  (|RepresentationPackage2| . REP2)
-  (|ResolveLatticeCompletion| . RESLATC)
-  (|RewriteRule| . RULE)
-  (|RightOpenIntervalRootCharacterization| . ROIRC) 
-  (|RomanNumeral| . ROMAN)
-  (|Ruleset| . RULESET)
-  (|ScriptFormulaFormat| . FORMULA)
-  (|ScriptFormulaFormat1| . FORMULA1)
-  (|Segment| . SEG)
-  (|SegmentBinding| . SEGBIND)
-  (|SegmentBindingFunctions2| . SEGBIND2)
-  (|SegmentFunctions2| . SEG2)
-  (|Set| . SET)
-  (|SimpleAlgebraicExtensionAlgFactor| . SAEFACT)
-  (|SimplifyAlgebraicNumberConvertPackage| . SIMPAN)
-  (|SingleInteger| . SINT)
-  (|SmithNormalForm| . SMITH)
-  (|SparseUnivariatePolynomialExpressions| . SUPEXPR)
-  (|SparseUnivariatePolynomialFunctions2| . SUP2)
-  (|SpecialOutputPackage| . SPECOUT)
-  (|SquareFreeRegularSetDecompositionPackage| . SRDCMPK)
-  (|SquareFreeRegularTriangularSet| . SREGSET)
-  (|SquareFreeRegularTriangularSetGcdPackage| . SFRGCD)
-  (|SquareFreeQuasiComponentPackage| . SFQCMPK)
-  (|Stack| . STACK)
-  (|Stream| . STREAM)
-  (|StreamFunctions1| . STREAM1)
-  (|StreamFunctions2| . STREAM2)
-  (|StreamFunctions3| . STREAM3)
-  (|String| . STRING)
-  (|SturmHabichtPackage| . SHP)
-  (|Symbol| . SYMBOL)
-  (|SymmetricGroupCombinatoricFunctions| . SGCF)
-  (|SystemSolvePackage| . SYSSOLP)
-  (|SAERationalFunctionAlgFactor| . SAERFFC)
-  (|Tableau| . TABLEAU)
-  (|TaylorSeries| . TS)
-  (|TaylorSolve| . UTSSOL)
-  (|TexFormat| . TEX)
-  (|TexFormat1| . TEX1)
-  (|TextFile| . TEXTFILE)
-  (|ThreeDimensionalViewport| . VIEW3D)
-  (|ThreeSpace| . SPACE3)
-  (|Timer|  . TIMER)
-  (|TopLevelDrawFunctions| . DRAW)
-  (|TopLevelDrawFunctionsForAlgebraicCurves| . DRAWCURV)
-  (|TopLevelDrawFunctionsForCompiledFunctions| . DRAWCFUN)
-  (|TopLevelDrawFunctionsForPoints| .  DRAWPT )
-  (|TopLevelThreeSpace| . TOPSP)
-  (|TranscendentalManipulations| . TRMANIP)
-  (|TransSolvePackage| . SOLVETRA)
-  (|Tree| . TREE)
-  (|TrigonometricManipulations| . TRIGMNIP)
-  (|UnivariateLaurentSeriesFunctions2| . ULS2)
-  (|UnivariateFormalPowerSeries| . UFPS)
-  (|UnivariateFormalPowerSeriesFunctions| . UFPS1)
-  (|UnivariatePolynomial| . UP)
-  (|UnivariatePolynomialCategoryFunctions2| . UPOLYC2)
-  (|UnivariatePolynomialCommonDenominator| . UPCDEN)
-  (|UnivariatePolynomialFunctions2| . UP2)
-  (|UnivariatePolynomialMultiplicationPackage| . UPMP)
-  (|UnivariatePuiseuxSeriesFunctions2| . UPXS2)
-  (|UnivariateTaylorSeriesFunctions2| . UTS2)
-  (|UniversalSegment| . UNISEG)
-  (|UniversalSegmentFunctions2| . UNISEG2)
-  (|UserDefinedVariableOrdering| . UDVO)
-  (|Vector| . VECTOR)
-  (|VectorFunctions2| . VECTOR2)
-  (|ViewDefaultsPackage| . VIEWDEF)
-  (|Void| . VOID)
-  (|WuWenTsunTriangularSet| . WUTSET)
-)
-(|naglink|
-  (|Asp1| . ASP1)
-  (|Asp4| . ASP4)
-  (|Asp6| . ASP6)
-  (|Asp7| . ASP7)
-  (|Asp8| . ASP8)
-  (|Asp9| . ASP9)
-  (|Asp10| . ASP10)
-  (|Asp12| . ASP12)
-  (|Asp19| . ASP19)
-  (|Asp20| . ASP20)
-  (|Asp24| . ASP24)
-  (|Asp27| . ASP27)
-  (|Asp28| . ASP28)
-  (|Asp29| . ASP29)
-  (|Asp30| . ASP30)
-  (|Asp31| . ASP31)
-  (|Asp33| . ASP33)
-  (|Asp34| . ASP34)
-  (|Asp35| . ASP35)
-  (|Asp41| . ASP41)
-  (|Asp42| . ASP42)
-  (|Asp49| . ASP49)
-  (|Asp50| . ASP50)
-  (|Asp55| . ASP55)
-  (|Asp73| . ASP73)
-  (|Asp74| . ASP74)
-  (|Asp77| . ASP77)
-  (|Asp78| . ASP78)
-  (|Asp80| . ASP80)
-  (|FortranCode| . FC)
-  (|FortranCodePackage1| . FCPAK1)
-  (|FortranExpression| . FEXPR)
-  (|FortranMachineTypeCategory| . FMTC)
-  (|FortranMatrixCategory| . FMC)
-  (|FortranMatrixFunctionCategory| . FMFUN)
-  (|FortranOutputStackPackage| . FOP)
-  (|FortranPackage| . FORT)
-  (|FortranProgramCategory| . FORTCAT)
-  (|FortranProgram| . FORTRAN)
-  (|FortranFunctionCategory| . FORTFN)
-  (|FortranScalarType| . FST)
-  (|FortranType| . FT)
-  (|FortranTemplate| . FTEM)
-  (|FortranVectorFunctionCategory| . FVFUN)
-  (|FortranVectorCategory| . FVC)
-  (|MachineComplex| . MCMPLX)
-  (|MachineFloat| . MFLOAT)
-  (|MachineInteger| . MINT)
-  (|MultiVariableCalculusFunctions| . MCALCFN)
-  (|NagDiscreteFourierTransformInterfacePackage| . NAGDIS)
-  (|NagEigenInterfacePackage| . NAGEIG)
-  (|NAGLinkSupportPackage| . NAGSP)
-  (|NagOptimisationInterfacePackage| . NAGOPT)
-  (|NagQuadratureInterfacePackage| . NAGQUA)
-  (|NagResultChecks| . NAGRES)
-  (|NagSpecialFunctionsInterfacePackage| . NAGSPE)
-  (|NagPolynomialRootsPackage| . NAGC02)
-  (|NagRootFindingPackage| . NAGC05)
-  (|NagSeriesSummationPackage| . NAGC06)
-  (|NagIntegrationPackage| . NAGD01)
-  (|NagOrdinaryDifferentialEquationsPackage| . NAGD02)
-  (|NagPartialDifferentialEquationsPackage| . NAGD03)
-  (|NagInterpolationPackage| . NAGE01)
-  (|NagFittingPackage| . NAGE02)
-  (|NagOptimisationPackage| . NAGE04)
-  (|NagMatrixOperationsPackage| . NAGF01)
-  (|NagEigenPackage| . NAGF02)
-  (|NagLinearEquationSolvingPackage| . NAGF04)
-  (|NagLapack| . NAGF07)
-  (|NagSpecialFunctionsPackage| . NAGS)
-  (|PackedHermitianSequence| . PACKED)
-  (|Result| . RESULT)
-  (|SimpleFortranProgram| . SFORT)
-  (|Switch| . SWITCH)
-  (|SymbolTable| . SYMTAB)
-  (|TemplateUtilities| . TEMUTL)
-  (|TheSymbolTable| . SYMS)
-  (|ThreeDimensionalMatrix| . M3D))
-(|anna|
-  (|AnnaNumericalIntegrationPackage| . INTPACK)
-  (|AnnaNumericalOptimizationPackage| . OPTPACK)
-  (|AnnaOrdinaryDifferentialEquationPackage| . ODEPACK)
-  (|AnnaPartialDifferentialEquationPackage| . PDEPACK)
-  (|AttributeButtons| . ATTRBUT)
-  (|BasicFunctions| . BFUNCT)
-  (|d01ajfAnnaType| . D01AJFA)
-  (|d01akfAnnaType| . D01AKFA)
-  (|d01alfAnnaType| . D01ALFA)
-  (|d01amfAnnaType| . D01AMFA)
-  (|d01anfAnnaType| . D01ANFA)
-  (|d01apfAnnaType| . D01APFA)
-  (|d01aqfAnnaType| . D01AQFA)
-  (|d01asfAnnaType| . D01ASFA)
-  (|d01fcfAnnaType| . D01FCFA)
-  (|d01gbfAnnaType| . D01GBFA)
-  (|d01AgentsPackage| . D01AGNT)
-  (|d01TransformFunctionType| . D01TRNS)
-  (|d01WeightsPackage| . D01WGTS)
-  (|d02AgentsPackage| . D02AGNT)
-  (|d02bbfAnnaType| . D02BBFA)
-  (|d02bhfAnnaType| . D02BHFA)
-  (|d02cjfAnnaType| . D02CJFA)
-  (|d02ejfAnnaType| . D02EJFA)
-  (|d03AgentsPackage| . D03AGNT)
-  (|d03eefAnnaType| . D03EEFA)
-  (|d03fafAnnaType| . D03FAFA)
-  (|e04AgentsPackage| . E04AGNT)
-  (|e04dgfAnnaType| . E04DGFA)
-  (|e04fdfAnnaType| . E04FDFA)
-  (|e04gcfAnnaType| . E04GCFA)
-  (|e04jafAnnaType| . E04JAFA)
-  (|e04mbfAnnaType| . E04MBFA)
-  (|e04nafAnnaType| . E04NAFA)
-  (|e04ucfAnnaType| . E04UCFA)
-  (|ExpertSystemContinuityPackage| . ESCONT)
-  (|ExpertSystemContinuityPackage1| . ESCONT1)
-  (|ExpertSystemToolsPackage| . ESTOOLS)
-  (|ExpertSystemToolsPackage1| . ESTOOLS1)
-  (|ExpertSystemToolsPackage2| . ESTOOLS2)
-  (|NumericalIntegrationCategory| . NUMINT)
-  (|NumericalIntegrationProblem| . NIPROB)
-  (|NumericalODEProblem| . ODEPROB)
-  (|NumericalOptimizationCategory| . OPTCAT)
-  (|NumericalOptimizationProblem| . OPTPROB)
-  (|NumericalPDEProblem| . PDEPROB)
-  (|ODEIntensityFunctionsTable| . ODEIFTBL)
-  (|IntegrationFunctionsTable| . INTFTBL)
-  (|OrdinaryDifferentialEquationsSolverCategory| . ODECAT)
-  (|PartialDifferentialEquationsSolverCategory| . PDECAT)
-  (|RoutinesTable| . ROUTINE))
-(|categories| 
-  (|AbelianGroup| . ABELGRP)
-  (|AbelianMonoid| . ABELMON)
-  (|AbelianMonoidRing| . AMR)
-  (|AbelianSemiGroup| . ABELSG)
-  (|Aggregate| . AGG)
-  (|Algebra| . ALGEBRA)
-  (|AlgebraicallyClosedField| . ACF)
-  (|AlgebraicallyClosedFunctionSpace| . ACFS)
-  (|ArcHyperbolicFunctionCategory| . AHYP)
-  (|ArcTrigonometricFunctionCategory| . ATRIG)
-  (|AssociationListAggregate| . ALAGG)
-  (|AttributeRegistry| . ATTREG)
-  (|BagAggregate| . BGAGG)
-  (|BasicType| . BASTYPE)
-  (|BiModule| . BMODULE)
-  (|BinaryRecursiveAggregate| . BRAGG)
-  (|BinaryTreeCategory| . BTCAT)
-  (|BitAggregate| . BTAGG)
-  (|CachableSet| . CACHSET)
-  (|CancellationAbelianMonoid| . CABMON)
-  (|CharacteristicNonZero| . CHARNZ)
-  (|CharacteristicZero| . CHARZ)
-  (|CoercibleTo| . KOERCE)
-  (|Collection| . CLAGG)
-  (|CombinatorialFunctionCategory| . CFCAT)
-  (|CombinatorialOpsCategory| . COMBOPC)
-  (|CommutativeRing| . COMRING)
-  (|ComplexCategory| . COMPCAT)
-  (|ConvertibleTo| . KONVERT)
-  (|DequeueAggregate| . DQAGG)
-  (|Dictionary| . DIAGG)
-  (|DictionaryOperations| . DIOPS)
-  (|DifferentialExtension| . DIFEXT)
-  (|DifferentialPolynomialCategory| . DPOLCAT)
-  (|DifferentialRing| . DIFRING)
-  (|DifferentialVariableCategory| . DVARCAT)
-  (|DirectProductCategory| . DIRPCAT)
-  (|DivisionRing| . DIVRING)
-  (|DoublyLinkedAggregate| . DLAGG)
-  (|ElementaryFunctionCategory| . ELEMFUN)
-  (|Eltable| . ELTAB)
-  (|EltableAggregate| . ELTAGG)
-  (|EntireRing| . ENTIRER)
-  (|EuclideanDomain| . EUCDOM)
-  (|Evalable| . EVALAB)
-  (|ExpressionSpace| . ES)
-  (|ExtensibleLinearAggregate| . ELAGG)
-  (|ExtensionField| . XF)
-  (|Field| . FIELD)
-  (|FieldOfPrimeCharacteristic| . FPC)
-  (|Finite| . FINITE)
-  (|FileCategory| . FILECAT)
-  (|FileNameCategory| . FNCAT)
-  (|FiniteAbelianMonoidRing| . FAMR)
-  (|FiniteAlgebraicExtensionField| . FAXF)
-  (|FiniteDivisorCategory| . FDIVCAT)
-  (|FiniteFieldCategory| . FFIELDC)
-  (|FiniteLinearAggregate| . FLAGG)
-  (|FiniteRankNonAssociativeAlgebra| . FINAALG)
-  (|FiniteRankAlgebra| . FINRALG)
-  (|FiniteSetAggregate| . FSAGG)
-  (|FloatingPointSystem| . FPS)
-  (|FramedAlgebra| . FRAMALG)
-  (|FramedNonAssociativeAlgebra| . FRNAALG)
-  (|FramedNonAssociativeAlgebraFunctions2| . FRNAAF2)
-  (|FreeAbelianMonoidCategory| . FAMONC)
-  (|FreeLieAlgebra| . FLALG)
-  (|FreeModuleCat| . FMCAT)
-  (|FullyEvalableOver| . FEVALAB)
-  (|FullyLinearlyExplicitRingOver| . FLINEXP)
-  (|FullyPatternMatchable| . FPATMAB)
-  (|FullyRetractableTo| . FRETRCT)
-  (|FunctionFieldCategory| . FFCAT)
-  (|FunctionSpace| . FS)
-  (|GcdDomain| . GCDDOM)
-  (|GradedAlgebra| . GRALG)
-  (|GradedModule| . GRMOD)
-  (|Group| . GROUP)
-  (|HomogeneousAggregate| . HOAGG)
-  (|HyperbolicFunctionCategory| . HYPCAT)
-  (|IndexedAggregate| . IXAGG)
-  (|IndexedDirectProductCategory| . IDPC)
-  (|InnerEvalable| . IEVALAB)
-  (|IntegerNumberSystem| . INS)
-  (|IntegralDomain| . INTDOM)
-  (|IntervalCategory| . INTCAT)
-  (|KeyedDictionary| . KDAGG)
-  (|LazyStreamAggregate| . LZSTAGG)
-  (|LeftAlgebra| . LALG)
-  (|LeftModule| . LMODULE)
-  (|LieAlgebra| . LIECAT)
-  (|LinearAggregate| . LNAGG)
-  (|LinearlyExplicitRingOver| . LINEXP)
-  (|LinearOrdinaryDifferentialOperatorCategory| . LODOCAT)
-  (|LiouvillianFunctionCategory| . LFCAT)
-  (|ListAggregate| . LSAGG)
-  (|Logic| . LOGIC)
-  (|MatrixCategory| . MATCAT)
-  (|Module| . MODULE)
-  (|Monad| . MONAD)
-  (|MonadWithUnit| . MONADWU)
-  (|Monoid| . MONOID)
-  (|MonogenicAlgebra| . MONOGEN)
-  (|MonogenicLinearOperator| . MLO)
-  (|MultiDictionary| . MDAGG)
-  (|MultisetAggregate| . MSETAGG)
-  (|MultivariateTaylorSeriesCategory| . MTSCAT)
-  (|NonAssociativeAlgebra| . NAALG)
-  (|NonAssociativeRing| . NASRING)
-  (|NonAssociativeRng| . NARNG)
-  (|NormalizedTriangularSetCategory| . NTSCAT)
-  (|Object| . OBJECT)
-  (|OctonionCategory| . OC)
-  (|OneDimensionalArrayAggregate| . A1AGG)
-  (|OpenMath| . OM)
-  (|OrderedAbelianGroup| . OAGROUP)
-  (|OrderedAbelianMonoid| . OAMON)
-  (|OrderedAbelianMonoidSup| . OAMONS)
-  (|OrderedAbelianSemiGroup| . OASGP)
-  (|OrderedCancellationAbelianMonoid| . OCAMON)
-  (|OrderedFinite| . ORDFIN)
-  (|OrderedIntegralDomain| . OINTDOM)
-  (|OrderedMonoid| . ORDMON)
-  (|OrderedMultisetAggregate| . OMSAGG)
-  (|OrderedRing| . ORDRING)
-  (|OrderedSet| . ORDSET)
-  (|PAdicIntegerCategory| . PADICCT)
-  (|PartialDifferentialRing| . PDRING)
-  (|PartialTranscendentalFunctions| . PTRANFN)
-  (|Patternable| . PATAB)
-  (|PatternMatchable| . PATMAB)
-  (|PermutationCategory| . PERMCAT)
-  (|PlottablePlaneCurveCategory| . PPCURVE)
-  (|PlottableSpaceCurveCategory| . PSCURVE)
-  (|PointCategory| . PTCAT)
-  (|PolynomialCategory| . POLYCAT)
-  (|PolynomialFactorizationExplicit| . PFECAT)
-  (|PolynomialSetCategory| . PSETCAT)
-  (|PowerSeriesCategory| . PSCAT)
-  (|PrimitiveFunctionCategory| . PRIMCAT)
-  (|PrincipalIdealDomain| . PID)
-  (|PriorityQueueAggregate| . PRQAGG)
-  (|QuaternionCategory| . QUATCAT)
-  (|QueueAggregate| . QUAGG)
-  (|QuotientFieldCategory| . QFCAT)
-  (|RadicalCategory| . RADCAT)
-  (|RealClosedField| . RCFIELD)
-  (|RealConstant| . REAL)
-  (|RealNumberSystem| . RNS)
-  (|RealRootCharacterizationCategory| . RRCC)
-  (|RectangularMatrixCategory| . RMATCAT)
-  (|RecursiveAggregate| . RCAGG)
-  (|RecursivePolynomialCategory| . RPOLCAT)
-  (|RegularChain| . RGCHAIN)
-  (|RegularTriangularSetCategory| . RSETCAT)
-  (|RetractableTo| . RETRACT)
-  (|RightModule| . RMODULE)
-  (|Ring| . RING)
-  (|Rng| . RNG)
-  (|SegmentCategory| . SEGCAT)
-  (|SegmentExpansionCategory| . SEGXCAT)
-  (|SemiGroup| . SGROUP)
-  (|SetAggregate| . SETAGG)
-  (|SetCategory| . SETCAT)
-  (|SExpressionCategory| . SEXCAT)
-  (|SpecialFunctionCategory| . SPFCAT)
-  (|SquareFreeNormalizedTriangularSetCategory| . SNTSCAT)
-  (|SquareFreeRegularTriangularSetCategory| . SFRTCAT)
-  (|SquareMatrixCategory| . SMATCAT)
-  (|StackAggregate| . SKAGG)
-  (|StepThrough| . STEP)
-  (|StreamAggregate| . STAGG)
-  (|StringAggregate| . SRAGG)
-  (|StringCategory| . STRICAT)
-  (|StructuralConstantsPackage| . SCPKG)
-  (|TableAggregate| . TBAGG)
-  (|ThreeSpaceCategory| . SPACEC)
-  (|TranscendentalFunctionCategory| . TRANFUN)
-  (|TriangularSetCategory| . TSETCAT)
-  (|TrigonometricFunctionCategory| . TRIGCAT)
-  (|TwoDimensionalArrayCategory| . ARR2CAT)
-  (|Type| . TYPE)
-  (|UnaryRecursiveAggregate| . URAGG)
-  (|UniqueFactorizationDomain| . UFD)
-  (|UnivariateLaurentSeriesCategory| . ULSCAT)
-  (|UnivariateLaurentSeriesConstructorCategory| . ULSCCAT)
-  (|UnivariatePolynomialCategory| . UPOLYC)
-  (|UnivariatePowerSeriesCategory| . UPSCAT)
-  (|UnivariatePuiseuxSeriesCategory| . UPXSCAT)
-  (|UnivariatePuiseuxSeriesConstructorCategory| . UPXSCCA)
-  (|UnivariateSkewPolynomialCategory| . OREPCAT)
-  (|UnivariateTaylorSeriesCategory| . UTSCAT)
-  (|VectorCategory| . VECTCAT)
-  (|VectorSpace| . VSPACE)
-  (|XAlgebra| . XALG)
-  (|XFreeAlgebra| . XFALG)
-  (|XPolynomialsCat| . XPOLYC)
-  (|ZeroDimensionalSolvePackage| . ZDSOLVE))
-(|Hidden| 
-  (|AlgebraicFunction| . AF)
-  (|AlgebraicFunctionField| . ALGFF)
-  (|AlgebraicHermiteIntegration| . INTHERAL)
-  (|AlgebraicIntegrate| . INTALG)
-  (|AlgebraicIntegration| . INTAF)
-  (|AnonymousFunction| . ANON)
-  (|AntiSymm| . ANTISYM)
-  (|ApplyRules| . APPRULE)
-  (|ApplyUnivariateSkewPolynomial| . APPLYORE)
-  (|ArrayStack| . ASTACK)
-  (|AssociatedEquations| . ASSOCEQ)
-  (|AssociationList| . ALIST)
-  (|Automorphism| . AUTOMOR)
-  (|BalancedFactorisation| . BALFACT)
-  (|BalancedPAdicInteger| . BPADIC)
-  (|BalancedPAdicRational| . BPADICRT)
-  (|BezoutMatrix| . BEZOUT)
-  (|BoundIntegerRoots| . BOUNDZRO)
-  (|BrillhartTests| . BRILL)
-  (|ChangeOfVariable| . CHVAR)
-  (|CharacteristicPolynomialInMonogenicalAlgebra| . CPIMA)
-  (|ChineseRemainderToolsForIntegralBases| . IBACHIN)
-  (|CoerceVectorMatrixPackage| . CVMP)
-  (|CombinatorialFunction| . COMBF)
-  (|CommonOperators| . COMMONOP)
-  (|CommuteUnivariatePolynomialCategory| . COMMUPC)
-  (|ComplexIntegerSolveLinearPolynomialEquation| . CINTSLPE)
-  (|ComplexPattern| . COMPLPAT)
-  (|ComplexPatternMatch| . CPMATCH)
-  (|ComplexRootFindingPackage| . CRFP)
-  (|ConstantLODE| . ODECONST)
-  (|CyclicStreamTools| . CSTTOOLS)
-  (|CyclotomicPolynomialPackage| . CYCLOTOM)
-  (|DefiniteIntegrationTools| . DFINTTLS)
-  (|DegreeReductionPackage| . DEGRED)
-  (|DeRhamComplex| . DERHAM)
-  (|DifferentialSparseMultivariatePolynomial| . DSMP)
-  (|DirectProduct| . DIRPROD)
-  (|DirectProductMatrixModule| . DPMM)
-  (|DirectProductModule| . DPMO)
-  (|DiscreteLogarithmPackage| . DLP)
-  (|DistributedMultivariatePolynomial| . DMP)
-  (|DoubleResultantPackage| . DBLRESP)
-  (|DrawOptionFunctions0| . DROPT0)
-  (|DrawOptionFunctions1| . DROPT1)
-  (|ElementaryFunction| . EF)
-  (|ElementaryFunctionsUnivariateLaurentSeries| . EFULS)
-  (|ElementaryFunctionsUnivariatePuiseuxSeries| . EFUPXS)
-  (|ElementaryIntegration| . INTEF)
-  (|ElementaryRischDE| . RDEEF)
-  (|ElementaryRischDESystem| . RDEEFS)
-  (|EllipticFunctionsUnivariateTaylorSeries| . ELFUTS)
-  (|EqTable| . EQTBL)
-  (|EuclideanModularRing| . EMR)
-  (|EvaluateCycleIndicators| . EVALCYC)
-  (|ExponentialExpansion| . EXPEXPAN)
-  (|ExponentialOfUnivariatePuiseuxSeries| . EXPUPXS)
-  (|ExpressionSpaceFunctions1| . ES1)
-  (|ExpressionTubePlot| . EXPRTUBE)
-  (|ExtAlgBasis| . EAB)
-  (|FactoredFunctions| . FACTFUNC)
-  (|FactoredFunctionUtilities| . FRUTIL)
-  (|FactoringUtilities| . FACUTIL)
-  (|FGLMIfCanPackage| . FGLMICPK)
-  (|FindOrderFinite| . FORDER)
-  (|FiniteDivisor| . FDIV)
-  (|FiniteFieldCyclicGroupExtension| . FFCGX)
-  (|FiniteFieldCyclicGroupExtensionByPolynomial| . FFCGP)
-  (|FiniteFieldExtension| . FFX)
-  (|FiniteFieldExtensionByPolynomial| . FFP)
-  (|FiniteFieldFunctions| . FFF)
-  (|FiniteFieldNormalBasisExtension| . FFNBX)
-  (|FiniteFieldNormalBasisExtensionByPolynomial| . FFNBP)
-  (|FiniteFieldPolynomialPackage| . FFPOLY)
-  (|FiniteFieldSolveLinearPolynomialEquation| . FFSLPE)
-  (|FormalFraction| . FORMAL)
-  (|FourierComponent| . FCOMP)
-  (|FractionalIdeal| . FRIDEAL)
-  (|FramedModule| . FRMOD)
-  (|FreeAbelianGroup| . FAGROUP)
-  (|FreeAbelianMonoid| . FAMONOID)
-  (|FreeGroup| . FGROUP)
-  (|FreeModule| . FM)
-  (|FreeModule1| . FM1)
-  (|FreeMonoid| . FMONOID)
-  (|FunctionalSpecialFunction| . FSPECF)
-  (|FunctionCalled| . FUNCTION)
-  (|FunctionFieldIntegralBasis| . FFINTBAS)
-  (|FunctionSpaceReduce| . FSRED)
-  (|FunctionSpaceToUnivariatePowerSeries| . FS2UPS)
-  (|FunctionSpaceToExponentialExpansion| . FS2EXPXP)
-  (|FunctionSpaceUnivariatePolynomialFactor| . FSUPFACT)
-  (|GaloisGroupFactorizationUtilities| . GALFACTU)
-  (|GaloisGroupFactorizer| . GALFACT)
-  (|GaloisGroupPolynomialUtilities| . GALPOLYU)
-  (|GaloisGroupUtilities| . GALUTIL)
-  (|GeneralHenselPackage| . GHENSEL)
-  (|GeneralDistributedMultivariatePolynomial| . GDMP)
-  (|GeneralPolynomialGcdPackage| . GENPGCD)
-  (|GeneralSparseTable| . GSTBL)
-  (|GenericNonAssociativeAlgebra| . GCNAALG)
-  (|GenExEuclid| . GENEEZ)
-  (|GeneralizedMultivariateFactorize| . GENMFACT)
-  (|GeneralModulePolynomial| . GMODPOL)
-  (|GeneralPolynomialSet| . GPOLSET)
-  (|GeneralTriangularSet| . GTSET)
-  (|GenUFactorize| . GENUFACT)
-  (|GenusZeroIntegration| . INTG0)
-  (|GosperSummationMethod| . GOSPER)
-  (|GraphImage| . GRIMAGE)
-  (|GrayCode| . GRAY)
-  (|GroebnerInternalPackage| . GBINTERN)
-  (|GroebnerSolve| . GROEBSOL)
-  (|HashTable| . HASHTBL)
-  (|Heap| . HEAP)
-  (|HeuGcd| . HEUGCD)
-  (|HomogeneousDistributedMultivariatePolynomial| . HDMP)
-  (|HyperellipticFiniteDivisor| . HELLFDIV)
-  (|IncrementingMaps| . INCRMAPS)
-  (|IndexedBits| . IBITS)
-  (|IndexedDirectProductAbelianGroup| . IDPAG)
-  (|IndexedDirectProductAbelianMonoid| . IDPAM)
-  (|IndexedDirectProductObject| . IDPO)
-  (|IndexedDirectProductOrderedAbelianMonoid| . IDPOAM)
-  (|IndexedDirectProductOrderedAbelianMonoidSup| . IDPOAMS)
-  (|IndexedExponents| . INDE)
-  (|IndexedFlexibleArray| . IFARRAY)
-  (|IndexedList| . ILIST)
-  (|IndexedMatrix| . IMATRIX)
-  (|IndexedOneDimensionalArray| . IARRAY1)
-  (|IndexedString| . ISTRING)
-  (|IndexedTwoDimensionalArray| . IARRAY2)
-  (|IndexedVector| . IVECTOR)
-  (|InnerAlgFactor| . IALGFACT)
-  (|InnerAlgebraicNumber| . IAN)
-  (|InnerCommonDenominator| . ICDEN)
-  (|InnerFiniteField| . IFF)
-  (|InnerFreeAbelianMonoid| . IFAMON)
-  (|InnerIndexedTwoDimensionalArray| . IIARRAY2)
-  (|InnerMatrixLinearAlgebraFunctions| . IMATLIN)
-  (|InnerMatrixQuotientFieldFunctions| . IMATQF)
-  (|InnerModularGcd| . INMODGCD)
-  (|InnerMultFact| . INNMFACT)
-  (|InnerNormalBasisFieldFunctions| . INBFF)
-  (|InnerNumericEigenPackage| . INEP)
-  (|InnerNumericFloatSolvePackage| . INFSP)
-  (|InnerPAdicInteger| . IPADIC)
-  (|InnerPolySign| . INPSIGN)
-  (|InnerPolySum| . ISUMP)
-  (|InnerPrimeField| . IPF)
-  (|InnerSparseUnivariatePowerSeries| . ISUPS)
-  (|InnerTable| . INTABL)
-  (|InnerTaylorSeries| . ITAYLOR)
-  (|InnerTrigonometricManipulations| . ITRIGMNP)
-  (|InputForm| . INFORM)
-  (|InputFormFunctions1| . INFORM1)
-  (|IntegerBits| . INTBIT)
-  (|IntegerFactorizationPackage| . INTFACT)
-  (|IntegerMod| . ZMOD)
-  (|IntegerSolveLinearPolynomialEquation| . INTSLPE)
-  (|IntegralBasisPolynomialTools| . IBPTOOLS)
-  (|IntegralBasisTools| . IBATOOL)
-  (|IntegrationResult| . IR)
-  (|IntegrationTools| . INTTOOLS)
-  (|InternalPrintPackage| . IPRNTPK)
-  (|InternalRationalUnivariateRepresentationPackage| . IRURPK)
-  (|IrredPolyOverFiniteField| . IRREDFFX)
-  (|Kernel| . KERNEL)
-  (|Kovacic| . KOVACIC)
-  (|LaurentPolynomial| . LAUPOL)
-  (|LeadingCoefDetermination| . LEADCDET)
-  (|LexTriangularPackage| . LEXTRIPK)
-  (|LieExponentials| . LEXP)
-  (|LiePolynomial| . LPOLY)
-  (|LinearDependence| . LINDEP)
-  (|LinearOrdinaryDifferentialOperatorFactorizer| . LODOF)
-  (|LinearOrdinaryDifferentialOperator1| . LODO1)
-  (|LinearOrdinaryDifferentialOperator2| . LODO2)
-  (|LinearOrdinaryDifferentialOperatorsOps| . LODOOPS)
-  (|LinearPolynomialEquationByFractions| . LPEFRAC)
-  (|LinGroebnerPackage| . LGROBP)
-  (|LiouvillianFunction| . LF)
-  (|ListMonoidOps| . LMOPS)
-  (|ListMultiDictionary| . LMDICT)
-  (|LocalAlgebra| . LA)
-  (|Localize| . LO)
-  (|LyndonWord| . LWORD)
-  (|Magma| . MAGMA)
-  (|MakeBinaryCompiledFunction| . MKBCFUNC)
-  (|MakeCachableSet| . MKCHSET)
-  (|MakeUnaryCompiledFunction| . MKUCFUNC)
-  (|MappingPackageInternalHacks1| . MAPHACK1)
-  (|MappingPackageInternalHacks2| . MAPHACK2)
-  (|MappingPackageInternalHacks3| . MAPHACK3)
-  (|MeshCreationRoutinesForThreeDimensions| . MESH)
-  (|ModMonic| . MODMON)
-  (|ModularField| . MODFIELD)
-  (|ModularHermitianRowReduction| . MHROWRED)
-  (|ModularRing| . MODRING)
-  (|ModuleMonomial| . MODMONOM)
-  (|MoebiusTransform| . MOEBIUS)
-  (|MonoidRing| . MRING)
-  (|MonomialExtensionTools| . MONOTOOL)
-  (|MPolyCatPolyFactorizer| . MPCPF)
-  (|MPolyCatFunctions3| . MPC3)
-  (|MRationalFactorize| . MRATFAC)
-  (|MultipleMap| . MMAP)
-  (|MultivariateLifting| . MLIFT)
-  (|MultivariateSquareFree| . MULTSQFR)
-  (|HomogeneousDirectProduct| . HDP)
-  (|NewSparseMultivariatePolynomial| . NSMP)
-  (|NewSparseUnivariatePolynomial| . NSUP)
-  (|NewSparseUnivariatePolynomialFunctions2| . NSUP2)
-  (|NonCommutativeOperatorDivision| . NCODIV)
-  (|NewtonInterpolation| . NEWTON)
-  (|None| . NONE)
-  (|NonLinearFirstOrderODESolver| . NODE1)
-  (|NonLinearSolvePackage| . NLINSOL)
-  (|NormRetractPackage| . NORMRETR)
-  (|NPCoef| . NPCOEF)
-  (|NumberFormats| . NUMFMT)
-  (|NumberFieldIntegralBasis| . NFINTBAS)
-  (|NumericTubePlot| . NUMTUBE)
-  (|ODEIntegration| . ODEINT)
-  (|ODETools| . ODETOOLS)
-  (|Operator| . OP)
-  (|OppositeMonogenicLinearOperator| . OMLO)
-  (|OrderedDirectProduct| . ODP)
-  (|OrderedFreeMonoid| . OFMONOID)
-  (|OrderedVariableList| . OVAR)
-  (|OrderingFunctions| . ORDFUNS)
-  (|OrderlyDifferentialPolynomial| . ODPOL)
-  (|OrderlyDifferentialVariable| . ODVAR)
-  (|OrdinaryWeightedPolynomials| . OWP)
-  (|OutputForm| . OUTFORM)
-  (|PadeApproximants| . PADE)
-  (|PAdicInteger| . PADIC)
-  (|PAdicRational| . PADICRAT)
-  (|PAdicRationalConstructor| . PADICRC)
-  (|PAdicWildFunctionFieldIntegralBasis| . PWFFINTB)
-  (|ParadoxicalCombinatorsForStreams| . YSTREAM)
-  (|ParametricLinearEquations| . PLEQN)
-  (|PartialFractionPackage| . PFRPAC)
-  (|Partition| . PRTITION)
-  (|Pattern| . PATTERN)
-  (|PatternFunctions1| . PATTERN1)
-  (|PatternMatchFunctionSpace| . PMFS)
-  (|PatternMatchIntegerNumberSystem| . PMINS)
-  (|PatternMatchIntegration| . INTPM)
-  (|PatternMatchKernel| . PMKERNEL)
-  (|PatternMatchListAggregate| . PMLSAGG)
-  (|PatternMatchListResult| . PATLRES)
-  (|PatternMatchPolynomialCategory| . PMPLCAT)
-  (|PatternMatchPushDown| . PMDOWN)
-  (|PatternMatchQuotientFieldCategory| . PMQFCAT)
-  (|PatternMatchResult| . PATRES)
-  (|PatternMatchSymbol| . PMSYM)
-  (|PatternMatchTools| . PMTOOLS)
-  (|PlaneAlgebraicCurvePlot| . ACPLOT)
-  (|Plot| . PLOT)
-  (|PlotFunctions1| . PLOT1)
-  (|PlotTools| . PLOTTOOL)
-  (|Plot3D| . PLOT3D)
-  (|PoincareBirkhoffWittLyndonBasis| . PBWLB)
-  (|Point| . POINT)
-  (|PointsOfFiniteOrder| . PFO)
-  (|PointsOfFiniteOrderRational| . PFOQ)
-  (|PointsOfFiniteOrderTools| . PFOTOOLS)
-  (|PointPackage| . PTPACK)
-  (|PolToPol| . POLTOPOL)
-  (|PolynomialCategoryLifting| . POLYLIFT)
-  (|PolynomialCategoryQuotientFunctions| . POLYCATQ)
-  (|PolynomialFactorizationByRecursion| . PFBR)
-  (|PolynomialFactorizationByRecursionUnivariate| . PFBRU)
-  (|PolynomialGcdPackage| . PGCD)
-  (|PolynomialInterpolation| . PINTERP)
-  (|PolynomialInterpolationAlgorithms| . PINTERPA)
-  (|PolynomialNumberTheoryFunctions| . PNTHEORY)
-  (|PolynomialRing| . PR)
-  (|PolynomialRoots| . POLYROOT)
-  (|PolynomialSetUtilitiesPackage| . PSETPK)
-  (|PolynomialSolveByFormulas| . SOLVEFOR)
-  (|PolynomialSquareFree| . PSQFR)
-  (|PrecomputedAssociatedEquations| . PREASSOC)
-  (|PrimitiveArray| . PRIMARR)
-  (|PrimitiveElement| . PRIMELT)
-  (|PrimitiveRatDE| . ODEPRIM)
-  (|PrimitiveRatRicDE| . ODEPRRIC)
-  (|Product| . PRODUCT)
-  (|PseudoRemainderSequence| . PRS)
-  (|PseudoLinearNormalForm| . PSEUDLIN)
-  (|PureAlgebraicIntegration| . INTPAF)
-  (|PureAlgebraicLODE| . ODEPAL)
-  (|PushVariables| . PUSHVAR)
-  (|QuasiAlgebraicSet| . QALGSET)
-  (|QuasiAlgebraicSet2| . QALGSET2)
-  (|RadicalFunctionField| . RADFF)
-  (|RandomDistributions| . RDIST)
-  (|RandomFloatDistributions| . RFDIST)
-  (|RandomIntegerDistributions| . RIDIST)
-  (|RationalFactorize| . RATFACT)
-  (|RationalIntegration| . INTRAT)
-  (|RationalInterpolation| . RINTERP)
-  (|RationalLODE| . ODERAT)
-  (|RationalRicDE| . ODERTRIC)
-  (|RationalUnivariateRepresentationPackage| . RURPK)
-  (|RealSolvePackage| . REALSOLV)
-  (|RectangularMatrix| . RMATRIX)
-  (|ReducedDivisor| . RDIV)
-  (|ReduceLODE| . ODERED)
-  (|ReductionOfOrder| . REDORDER)
-  (|Reference| . REF)
-  (|RepeatedDoubling| . REPDB)
-  (|RepeatedSquaring| . REPSQ)
-  (|ResidueRing| . RESRING)
-  (|RetractSolvePackage| . RETSOL)
-  (|RuleCalled| . RULECOLD)
-  (|SetOfMIntegersInOneToN| . SETMN)
-  (|SExpression| . SEX)
-  (|SExpressionOf| . SEXOF)
-  (|SequentialDifferentialPolynomial| . SDPOL)
-  (|SequentialDifferentialVariable| . SDVAR)
-  (|SimpleAlgebraicExtension| . SAE)
-  (|SingletonAsOrderedSet| . SAOS)
-  (|SortedCache| . SCACHE)
-  (|SortPackage| . SORTPAK)
-  (|SparseMultivariatePolynomial| . SMP)
-  (|SparseMultivariateTaylorSeries| . SMTS)
-  (|SparseTable| . STBL)
-  (|SparseUnivariatePolynomial| . SUP)
-  (|SparseUnivariateSkewPolynomial| . ORESUP)
-  (|SparseUnivariateLaurentSeries| . SULS)
-  (|SparseUnivariatePuiseuxSeries| . SUPXS)
-  (|SparseUnivariateTaylorSeries| . SUTS)
-  (|SplitHomogeneousDirectProduct| . SHDP)
-  (|SplittingNode| . SPLNODE)
-  (|SplittingTree| . SPLTREE)
-  (|SquareMatrix| . SQMATRIX)
-  (|Stack| . STACK)
-  (|StorageEfficientMatrixOperations| . MATSTOR)
-  (|StreamInfiniteProduct| . STINPROD)
-  (|StreamTaylorSeriesOperations| . STTAYLOR)
-  (|StreamTranscendentalFunctions| . STTF)
-  (|StreamTranscendentalFunctionsNonCommutative| . STTFNC)
-  (|StringTable| . STRTBL)
-  (|SubResultantPackage| . SUBRESP)
-  (|SubSpace| . SUBSPACE)
-  (|SubSpaceComponentProperty| . COMPPROP)
-  (|SuchThat| . SUCH)
-  (|SupFractionFactorizer| . SUPFRACF)
-  (|SymmetricFunctions| . SYMFUNC)
-  (|SymmetricPolynomial| . SYMPOLY)
-  (|SystemODESolver| . ODESYS)
-  (|Table| . TABLE)
-  (|TableauxBumpers| . TABLBUMP)
-  (|TabulatedComputationPackage| . TBCMPPK)
-  (|TangentExpansions| . TANEXP)
-  (|ToolsForSign| . TOOLSIGN)
-  (|TranscendentalHermiteIntegration| . INTHERTR)
-  (|TranscendentalIntegration| . INTTR)
-  (|TranscendentalRischDE| . RDETR)
-  (|TranscendentalRischDESystem| . RDETRS)
-  (|TransSolvePackageService| . SOLVESER)
-  (|TriangularMatrixOperations| . TRIMAT)
-  (|TubePlot| . TUBE)
-  (|TubePlotTools| . TUBETOOL)
-  (|Tuple| . TUPLE)
-  (|TwoDimensionalArray| . ARRAY2)
-  (|TwoDimensionalPlotClipping| . CLIP)
-  (|TwoDimensionalViewport| . VIEW2D)
-  (|TwoFactorize| . TWOFACT)
-  (|UnivariateFactorize| . UNIFACT)
-  (|UnivariateLaurentSeries| . ULS)
-  (|UnivariateLaurentSeriesConstructor| . ULSCONS)
-  (|UnivariatePolynomialDecompositionPackage| . UPDECOMP)
-  (|UnivariatePolynomialDivisionPackage| . UPDIVP)
-  (|UnivariatePolynomialSquareFree| . UPSQFREE)
-  (|UnivariatePuiseuxSeries| . UPXS)
-  (|UnivariatePuiseuxSeriesConstructor| . UPXSCONS)
-  (|UnivariatePuiseuxSeriesWithExponentialSingularity| . UPXSSING)
-  (|UnivariateSkewPolynomial| . OREUP)
-  (|UnivariateSkewPolynomialCategoryOps| . OREPCTO)
-  (|UnivariateTaylorSeries| . UTS)
-  (|UnivariateTaylorSeriesODESolver| . UTSODE)
-  (|UserDefinedPartialOrdering| . UDPO)
-  (|UTSodetools| . UTSODETL)
-  (|Variable| . VARIABLE)
-  (|ViewportPackage| . VIEW)
-  (|WeierstrassPreparation| . WEIER)
-  (|WeightedPolynomials| . WP)
-  (|WildFunctionFieldIntegralBasis| . WFFINTBS)
-  (|XDistributedPolynomial| . XDPOLY)
-  (|XExponentialPackage| . XEXPPKG)
-  (|XPBWPolynomial| . XPBWPOLY)
-  (|XPolynomial| . XPOLY)
-  (|XPolynomialRing| . XPR)
-  (|XRecursivePolynomial| . XRPOLY))
-(|defaults| 
-  (|AbelianGroup&| . ABELGRP-)
-  (|AbelianMonoid&| . ABELMON-)
-  (|AbelianMonoidRing&| . AMR-)
-  (|AbelianSemiGroup&| . ABELSG-)
-  (|Aggregate&| . AGG-)
-  (|Algebra&| . ALGEBRA-)
-  (|AlgebraicallyClosedField&| . ACF-)
-  (|AlgebraicallyClosedFunctionSpace&| . ACFS-)
-  (|ArcTrigonometricFunctionCategory&| . ATRIG-)
-  (|BagAggregate&| . BGAGG-)
-  (|BasicType&| . BASTYPE-)
-  (|BinaryRecursiveAggregate&| . BRAGG-)
-  (|BinaryTreeCategory&| . BTCAT-)
-  (|BitAggregate&| . BTAGG-)
-  (|Collection&| . CLAGG-)
-  (|ComplexCategory&| . COMPCAT-)
-  (|Dictionary&| . DIAGG-)
-  (|DictionaryOperations&| . DIOPS-)
-  (|DifferentialExtension&| . DIFEXT-)
-  (|DifferentialPolynomialCategory&| . DPOLCAT-)
-  (|DifferentialRing&| . DIFRING-)
-  (|DifferentialVariableCategory&| . DVARCAT-)
-  (|DirectProductCategory&| . DIRPCAT-)
-  (|DivisionRing&| . DIVRING-)
-  (|ElementaryFunctionCategory&| . ELEMFUN-)
-  (|EltableAggregate&| . ELTAGG-)
-  (|EuclideanDomain&| . EUCDOM-)
-  (|Evalable&| . EVALAB-)
-  (|ExpressionSpace&| . ES-)
-  (|ExtensibleLinearAggregate&| . ELAGG-)
-  (|ExtensionField&| . XF-)
-  (|Field&| . FIELD-)
-  (|FieldOfPrimeCharacteristic&| . FPC-)
-  (|FiniteAbelianMonoidRing&| . FAMR-)
-  (|FiniteAlgebraicExtensionField&| . FAXF-)
-  (|FiniteDivisorCategory&| . FDIVCAT-)
-  (|FiniteFieldCategory&| . FFIELDC-)
-  (|FiniteLinearAggregate&| . FLAGG-)
-  (|FiniteSetAggregate&| . FSAGG-)
-  (|FiniteRankAlgebra&| . FINRALG-)
-  (|FiniteRankNonAssociativeAlgebra&| . FINAALG-)
-  (|FloatingPointSystem&| . FPS-)
-  (|FramedAlgebra&| . FRAMALG-)
-  (|FramedNonAssociativeAlgebra&| . FRNAALG-)
-  (|FullyEvalableOver&| . FEVALAB-)
-  (|FullyLinearlyExplicitRingOver&| . FLINEXP-)
-  (|FullyRetractableTo&| . FRETRCT-)
-  (|FunctionFieldCategory&| . FFCAT-)
-  (|FunctionSpace&| . FS-)
-  (|GcdDomain&| . GCDDOM-)
-  (|GradedAlgebra&| . GRALG-)
-  (|GradedModule&| . GRMOD-)
-  (|Group&| . GROUP-)
-  (|HomogeneousAggregate&| . HOAGG-)
-  (|HyperbolicFunctionCategory&| . HYPCAT-)
-  (|IndexedAggregate&| . IXAGG-)
-  (|InnerEvalable&| . IEVALAB-)
-  (|IntegerNumberSystem&| . INS-)
-  (|IntegralDomain&| . INTDOM-)
-  (|KeyedDictionary&| . KDAGG-)
-  (|LazyStreamAggregate&| . LZSTAGG-)
-  (|LeftAlgebra&| . LALG-)
-  (|LieAlgebra&| . LIECAT-)
-  (|LinearAggregate&| . LNAGG-)
-  (|ListAggregate&| . LSAGG-)
-  (|Logic&| . LOGIC-)
-  (|LinearOrdinaryDifferentialOperatorCategory&| . LODOCAT-)
-  (|MatrixCategory&| . MATCAT-)
-  (|Module&| . MODULE-)
-  (|Monad&| . MONAD-)
-  (|MonadWithUnit&| . MONADWU-)
-  (|Monoid&| . MONOID-)
-  (|MonogenicAlgebra&| . MONOGEN-)
-  (|NonAssociativeAlgebra&| . NAALG-)
-  (|NonAssociativeRing&| . NASRING-)
-  (|NonAssociativeRng&| . NARNG-)
-  (|OctonionCategory&| . OC-)
-  (|OneDimensionalArrayAggregate&| . A1AGG-)
-  (|OrderedRing&| . ORDRING-)
-  (|OrderedSet&| . ORDSET-)
-  (|PartialDifferentialRing&| . PDRING-)
-  (|PolynomialCategory&| . POLYCAT-)
-  (|PolynomialFactorizationExplicit&| . PFECAT-)
-  (|PolynomialSetCategory&| . PSETCAT-)
-  (|PowerSeriesCategory&| . PSCAT-)
-  (|QuaternionCategory&| . QUATCAT-)
-  (|QuotientFieldCategory&| . QFCAT-)
-  (|RadicalCategory&| . RADCAT-)
-  (|RealClosedField&| . RCFIELD-)
-  (|RealNumberSystem&| . RNS-)
-  (|RealRootCharacterizationCategory&| . RRCC-)
-  (|RectangularMatrixCategory&| . RMATCAT-)
-  (|RecursiveAggregate&| . RCAGG-)
-  (|RecursivePolynomialCategory&| . RPOLCAT-)
-  (|RegularTriangularSetCategory&| . RSETCAT-)
-  (|RetractableTo&| . RETRACT-)
-  (|Ring&| . RING-)
-  (|SemiGroup&| . SGROUP-)
-  (|SetAggregate&| . SETAGG-)
-  (|SetCategory&| . SETCAT-)
-  (|SquareMatrixCategory&| . SMATCAT-)
-  (|StreamAggregate&| . STAGG-)
-  (|StringAggregate&| . SRAGG-)
-  (|TableAggregate&| . TBAGG-)
-  (|TranscendentalFunctionCategory&| . TRANFUN-)
-  (|TriangularSetCategory&| . TSETCAT-)
-  (|TrigonometricFunctionCategory&| . TRIGCAT-)
-  (|TwoDimensionalArrayCategory&| . ARR2CAT-)
-  (|UnaryRecursiveAggregate&| . URAGG-)
-  (|UniqueFactorizationDomain&| . UFD-)
-  (|UnivariateLaurentSeriesConstructorCategory&| . ULSCCAT-)
-  (|UnivariatePolynomialCategory&| . UPOLYC-)
-  (|UnivariatePowerSeriesCategory&| . UPSCAT-)
-  (|UnivariatePuiseuxSeriesConstructorCategory&| . UPXSCCA-)
-  (|UnivariateSkewPolynomialCategory&| . OREPCAT-)
-  (|UnivariateTaylorSeriesCategory&| . UTSCAT-)
-  (|VectorCategory&| . VECTCAT-)
-  (|VectorSpace&| . VSPACE-)))
-)
-(setq |$localExposureDataDefault| (VECTOR 
-(LIST 
-;;These groups will be exposed 
-'|basic| 
-'|categories| 
-'|naglink| 
-'|anna|
-) 
-(LIST 
-;;These constructors will be explicitly exposed
-)
-(LIST 
-;;These constructors will be explicitly hidden
-)
-))
-(setq |$localExposureData|  (copy-seq |$localExposureDataDefault|))
-@
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b3af676..2caec23 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2374,5 +2374,7 @@ src/input/dfloat.input rewrite using machineFraction<br/>
 src/input/dop.input rewrite using machineFraction<br/>
 <a href="patches/20100115.03.tpd.patch">20100115.03.tpd.patch</a>
 books/bookvol5 do not set si::*system-directory* in restart<br/>
+<a href="patches/20100116.01.tpd.patch">20100116.01.tpd.patch</a>
+books/bookvol5 merge and remove exposed.lsp<br/>
  </body>
 </html>
diff --git a/src/doc/msgs/s2-us.msgs b/src/doc/msgs/s2-us.msgs
index 86e6293..4ca97f3 100755
--- a/src/doc/msgs/s2-us.msgs
+++ b/src/doc/msgs/s2-us.msgs
@@ -854,15 +854,6 @@ S2IZ0049B
  The following constructors are explicitly exposed in the current frame:
 S2IZ0049C
  The following constructors are explicitly hidden in the current frame:
-S2IZ0049D
- When %b )set expose %d is followed by no arguments, the information
- you now see is displayed. When followed by the %b initialize %d
- argument, the exposure group data in the file %1b is read and is
- then available. The arguments %b add %d and %b drop %d are used
- to add or drop exposure groups or explicit constructors from the
- local frame exposure data.  Issue
- %ceon %b )set expose add %d %x3 or %x3 %b )set expose drop %d %ceoff
- for more information.
 S2IZ0049E
  When %b )set expose add %d is followed by no arguments, the information
  you now see is displayed.
diff --git a/src/input/setcmd.input.pamphlet b/src/input/setcmd.input.pamphlet
index 4f706ac..b087f72 100644
--- a/src/input/setcmd.input.pamphlet
+++ b/src/input/setcmd.input.pamphlet
@@ -98,12 +98,13 @@
 
 --S 7 of 143
 )set expose
+--R 
 --R---------------------------- The expose Option ----------------------------
 --R
 --R Description: control interpreter constructor exposure
 --R
 --R   The following groups are explicitly exposed in the current frame 
---I      (called initial ):
+--R      (called initial ):
 --R                                   basic                                   
 --R                                categories                                 
 --R                                  naglink                                  
@@ -117,14 +118,6 @@
 --R      frame:
 --R                there are no explicitly hidden constructors                
 --R 
---R   When )set expose is followed by no arguments, the information you 
---R      now see is displayed. When followed by the initialize argument, 
---R      the exposure group data in the file interp.exposed is read and is
---R      then available. The arguments add and drop are used to add or 
---R      drop exposure groups or explicit constructors from the local 
---R      frame exposure data. Issue
---R                  )set expose add    or    )set expose drop 
---R      for more information.
 --E 7
 
 --S 8 of 143
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index bda2198..c9e6d5f 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -352,12 +352,13 @@ Unit test the user level commands
 
 --S 29 of 97
 )set expose
+--R 
 --R---------------------------- The expose Option ----------------------------
 --R
 --R Description: control interpreter constructor exposure
 --R
 --R   The following groups are explicitly exposed in the current frame 
---I      (called frame0 ):
+--R      (called initial ):
 --R                                   basic                                   
 --R                                categories                                 
 --R                                  naglink                                  
@@ -371,14 +372,6 @@ Unit test the user level commands
 --R      frame:
 --R                there are no explicitly hidden constructors                
 --R 
---R   When )set expose is followed by no arguments, the information you 
---R      now see is displayed. When followed by the initialize argument, 
---R      the exposure group data in the file interp.exposed is read and is
---R      then available. The arguments add and drop are used to add or 
---R      drop exposure groups or explicit constructors from the local 
---R      frame exposure data. Issue
---R                  )set expose add    or    )set expose drop 
---R      for more information.
 --E 29
 
 --S 30 of 97
@@ -424,21 +417,15 @@ Unit test the user level commands
 
 --S 32 of 97
 )set expose add group
+--R 
 --R---------------------------- The group Option -----------------------------
 --R   The following groups are explicitly exposed in the current frame 
---I      (called frame0 ):
+--R      (called initial ):
 --R                                   basic                                   
 --R                                categories                                 
 --R                                  naglink                                  
 --R                                   anna                                    
 --R 
---R   When )set expose add group is followed by no arguments, the 
---R      information you now see is displayed. Otherwise, the words 
---R      following group must be valid names of exposure groups defined in
---R      interp.exposed . The group all is special: using this group name 
---R      causes all known constructors to be exposed. The known exposure 
---R      group names are:
---R 
 --Rbasic         naglink       anna          categories    Hidden        
 --Rdefaults      
 --E 32
@@ -814,12 +801,13 @@ Unit test the user level commands
 
 --S 42 of 97
 )set expose
+--R 
 --R---------------------------- The expose Option ----------------------------
 --R
 --R Description: control interpreter constructor exposure
 --R
 --R   The following groups are explicitly exposed in the current frame 
---I      (called frame0 ):
+--R      (called initial ):
 --R                                   basic                                   
 --R                                categories                                 
 --R                                  naglink                                  
@@ -833,14 +821,6 @@ Unit test the user level commands
 --R      frame:
 --R                               SquareMatrix                                
 --R 
---R   When )set expose is followed by no arguments, the information you 
---R      now see is displayed. When followed by the initialize argument, 
---R      the exposure group data in the file interp.exposed is read and is
---R      then available. The arguments add and drop are used to add or 
---R      drop exposure groups or explicit constructors from the local 
---R      frame exposure data. Issue
---R                  )set expose add    or    )set expose drop 
---R      for more information.
 --E 42
 
 --S 43 of 97
@@ -850,12 +830,13 @@ Unit test the user level commands
 
 --S 44 of 97
 )set expose
+--R 
 --R---------------------------- The expose Option ----------------------------
 --R
 --R Description: control interpreter constructor exposure
 --R
 --R   The following groups are explicitly exposed in the current frame 
---I      (called frame0 ):
+--R      (called initial ):
 --R                                   basic                                   
 --R                                categories                                 
 --R                                  naglink                                  
@@ -868,32 +849,18 @@ Unit test the user level commands
 --R      frame:
 --R                               SquareMatrix                                
 --R 
---R   When )set expose is followed by no arguments, the information you 
---R      now see is displayed. When followed by the initialize argument, 
---R      the exposure group data in the file interp.exposed is read and is
---R      then available. The arguments add and drop are used to add or 
---R      drop exposure groups or explicit constructors from the local 
---R      frame exposure data. Issue
---R                  )set expose add    or    )set expose drop 
---R      for more information.
 --E 44
 
 --S 45 of 97
 )set expose add group
+--R 
 --R---------------------------- The group Option -----------------------------
 --R   The following groups are explicitly exposed in the current frame 
---I      (called frame0 ):
+--R      (called initial ):
 --R                                   basic                                   
 --R                                categories                                 
 --R                                  naglink                                  
 --R 
---R   When )set expose add group is followed by no arguments, the 
---R      information you now see is displayed. Otherwise, the words 
---R      following group must be valid names of exposure groups defined in
---R      interp.exposed . The group all is special: using this group name 
---R      causes all known constructors to be exposed. The known exposure 
---R      group names are:
---R 
 --Rbasic         naglink       anna          categories    Hidden        
 --Rdefaults      
 --E 45
@@ -905,12 +872,13 @@ Unit test the user level commands
 
 --S 47 of 97
 )set expose
+--R 
 --R---------------------------- The expose Option ----------------------------
 --R
 --R Description: control interpreter constructor exposure
 --R
 --R   The following groups are explicitly exposed in the current frame 
---I      (called frame0 ):
+--R      (called initial ):
 --R                                   anna                                    
 --R                                   basic                                   
 --R                                categories                                 
@@ -924,14 +892,6 @@ Unit test the user level commands
 --R      frame:
 --R                               SquareMatrix                                
 --R 
---R   When )set expose is followed by no arguments, the information you 
---R      now see is displayed. When followed by the initialize argument, 
---R      the exposure group data in the file interp.exposed is read and is
---R      then available. The arguments add and drop are used to add or 
---R      drop exposure groups or explicit constructors from the local 
---R      frame exposure data. Issue
---R                  )set expose add    or    )set expose drop 
---R      for more information.
 --E 47
 
 --S 48 of 97
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index 4a4e943..fa94191 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -676,7 +676,6 @@ ${SAVESYS}:	${DEPSYS} ${OBJS} ${OUT}/bookvol5.${O} ${OUT}/util.${O} \
 		${OUT}/database.date ${INOBJS} ${ASCOMP} ${ASAUTO} \
 		${NAGBROBJS} ${TRANOBJS} \
 	        ${LOADSYS} \
-		${MNT}/${SYS}/algebra/exposed.${O} \
 		${SRC}/doc/msgs/s2-us.msgs \
 	        ${INT}/algebra/warm.data
 	@ echo 5 invoking make in `pwd` with parms:
@@ -3860,25 +3859,6 @@ should trigger the autoload
 database.date is a marker file used to force a rebuild of interpsys if the
 database is rebuilt (src/algebra/Makefile).
 <<databases>>=
-${MID}/exposed.lsp: ${SRC}/algebra/exposed.lsp.pamphlet
-	@ echo 615 making ${MID}/exposed.lsp \
-                   from ${SRC}/algebra/exposed.lsp.pamphlet
-	@(cd ${MID} ; \
-	${TANGLE} ${SRC}/algebra/exposed.lsp.pamphlet >exposed.lsp )
-
-${MNT}/${SYS}/algebra/exposed.${O} : ${MID}/exposed.lsp ${LISPSYS}
-	@ echo 616 making ${MNT}/${SYS}/algebra/exposed.${O} \
-                   from ${MID}/exposed.lsp
-	@ if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/exposed.lsp"' \
-             ':output-file "${MNT}/${SYS}/algebra/exposed.${O}") (${BYE}))' \
-             | ${LISPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/exposed.lsp"' \
-             ':output-file "${MNT}/${SYS}/algebra/exposed.${O}") (${BYE}))' \
-             | ${LISPSYS} >${TMP}/trace ; \
-	  fi
-
 ${OUT}/database.date:
 	@ echo 617 the database was updated...remaking interpsys
 	@ touch ${OUT}/database.date
diff --git a/src/interp/i-toplev.lisp.pamphlet b/src/interp/i-toplev.lisp.pamphlet
index eb3d539..2d012b2 100644
--- a/src/interp/i-toplev.lisp.pamphlet
+++ b/src/interp/i-toplev.lisp.pamphlet
@@ -119,7 +119,6 @@ from LISP.
         (SETQ ERROROUTSTREAM
               (DEFIOSTREAM '((DEVICE . CONSOLE) (MODE . OUTPUT)) 80 0))
         (|setOutputAlgebra| '|%initialize%|)
-        (|loadExposureGroupData|)
         (COND
           (|$displayStartMsgs|
               (|sayKeyedMsg| 'S2IZ0053
diff --git a/src/interp/monitor.lisp.pamphlet b/src/interp/monitor.lisp.pamphlet
index 03ab46d..8cab43c 100644
--- a/src/interp/monitor.lisp.pamphlet
+++ b/src/interp/monitor.lisp.pamphlet
@@ -687,6 +687,9 @@ for example:
  "exposed functions have more than 1 semicolon. given a symbol, count them"
    (> (count #\; (symbol-name fn)) 1))
 
+;;; TPDHERE note that the file interp.exposed no longer exists.
+;;; The exposure information is now in bookvol5
+;;; This needs to work off the internal exposure list, not the file.
 (defun monitor-readinterp ()
   "read interp.exposed to initialize *monitor-domains* to exposed domains.
    this is the default action. adding or deleting domains from the list
diff --git a/src/interp/util.lisp.pamphlet b/src/interp/util.lisp.pamphlet
index 1b3fc0a..7ed5152 100644
--- a/src/interp/util.lisp.pamphlet
+++ b/src/interp/util.lisp.pamphlet
@@ -1071,138 +1071,6 @@ quality we check anyway.
      (format tmp ")co ~a~%" spad))))))
 
 @
-\subsubsection{libcheck}
-We need to ensure that the interp.exposed list, which is a list
-of the exposed constructors, is consistent with the actual libraries.
-<<libcheck>>=
-(defun libcheck (int)
- "check that interp.exposed and nrlibs are consistent"
- (let (interp nrlibs)
- (labels (
-  (CONSTRUCTORNAME (nrlib)
-   "find the long name of a constructor given an abbreviation string"
-   (let (file sourcefile name)
-    (setq file (findsrc nrlib))
-    (setq sourcefile
-      (concatenate 'string int "/" file ".spad"))
-    (when (and file (probe-file sourcefile))
-     (setq name (searchsource sourcefile nrlib)))))
-  (NOCAT (longnames)
-   "remove the categories from the list of long names"
-   (remove-if 
-    #'(lambda (x) 
-       (let ((c (schar x (1- (length x)))))
-        (or (char= c #\&) (char= c #\-)))) longnames))
-  (FINDSRC (libname)
-   "return a string name of the source file given the library file
-    name (eg PI) as a string"
-   (let (kaffile index alist result)
-    (setq kaffile 
-     (concatenate 'string int "/" libname ".nrlib/index.kaf*"))
-    (if (probe-file kaffile)
-     (with-open-file (kaf kaffile)
-      (setq index (read kaf))
-      (file-position kaf index)
-      (setq alist (read kaf))
-     (setq index (third (assoc "sourceFile" alist :test #'string=)))
-      (file-position kaf index)
-     (setq result (pathname-name (pathname (read kaf index))))))
-     (format t "~a does not exist~%" kaffile)
-    result))
-  (READINTERP ()
-   "read interp.exposed and return a sorted abbreviation list"
-   (let (expr names longnames)
-    (with-open-file (in (concatenate 'string int "/interp.exposed"))
-     (catch 'eof
-      (loop
-       (setq expr (read-line in nil 'eof))
-       (when (eq expr 'eof) (throw 'eof nil))
-       (when
-        (and
-         (> (length expr) 58)
-         (char= (schar expr 0) #\space) 
-         (not (char= (schar expr 8) #\space)))
-         (push (string-trim '(#\space) (subseq expr 8 57)) longnames)
-         (push (string-right-trim '(#\space) (subseq expr 58)) names)))))
-    (setq longnames (sort longnames #'string<))
-    (setq names (sort names #'string<))
-    (values names longnames)))
-  (READLIBS (algebra)
-   "read the nrlib directory and return a sorted abbreviation list"
-   (let (libs nrlibs)
-#+:akcl (si::chdir algebra)
-#-:akcl (vmlisp::obey (concatenate 'string "cd " algebra))
-    (setq nrlibs (directory "*.nrlib"))
-    (unless nrlibs
-     (error "libcheck: (directory ~s) returned NIL~%" 
-         (concatenate 'string algebra "/*.nrlib")))
-    (dolist (lib nrlibs)
-     (push (pathname-name lib) libs))
-    (sort libs #'string<)))
-  (SEARCHSOURCE (sourcefile nrlib)
-   "search a sourcefile for the long constructor name of the nrlib string"
-   (let (in expr start)
-    (setq nrlib (concatenate 'string " " nrlib " "))
-    (catch 'done
-     (with-open-file (in sourcefile)
-      (loop
-       (setq expr (read-line in nil 'done))
-       (when (eq expr 'done) (throw 'done nil))
-       (when (and (> (length expr) 4)
-                (string= ")abb" (subseq expr 0 4))
-                (search nrlib expr :test #'string=)
-                (setq start (position #\space expr :from-end t :test #'char=)))
-        (throw 'done (string-trim '(#\space) (subseq expr start)))))))))
-  (SRCABBREVS (sourcefile)
-   (let (in expr start end names longnames)
-    (catch 'done
-     (with-open-file (in sourcefile)
-      (loop
-       (setq expr (read-line in nil 'done))
-       (when (eq expr 'done) (throw 'done nil))
-       (when (and (> (length expr) 4)
-             (string= ")abb" (subseq expr 0 4)))
-        (setq point (position #\space expr :from-end t :test #'char=))
-        (push (string-trim '(#\space) (subseq expr point)) longnames)
-        (setq mark
-         (position #\space 
-          (string-right-trim '(#\space)
-           (subseq expr 0 (1- point))) :from-end t))
-        (push (string-trim '(#\space) (subseq expr mark point)) names)))))
-    (values names longnames)))
-  (SRCSCAN ()
-   (let (longnames names)
-#+:gcl (system::chdir int)
-#-:gcl (vmlisp::obey (concatenate 'string "cd " int))
-    (setq spads (directory "*.spad"))
-    (dolist (spad spads)
-     (multiple-value-setq (short long) (srcabbrevs spad))
-     (setq names (nconc names short))
-     (setq longnames (nconc longnames long)))
-    (setq names (sort names #'string<))
-    (setq longnames (sort longnames #'string<))
-    (values names longnames))))
-  (multiple-value-setq (abbrevs constructors) (readinterp))
-  (setq nrlibs (readlibs int))
-  (dolist (lib (set-difference nrlibs abbrevs :test #'string=))
-    (format t "libcheck:~a/~a.nrlib is not in interp.exposed~%" int lib))
-  (dolist (expose (set-difference abbrevs nrlibs :test #'string=))
-    (format t "libcheck:~a is in interp.exposed with no nrlib~%" expose))
-  (multiple-value-setq (srcabbrevs srcconstructors) (srcscan))
-  (setq abbrevs (nocat abbrevs))
-  (setq constructors (nocat constructors))
-  (dolist (item (set-difference srcabbrevs abbrevs :test #'string=))
-    (format t "libcheck:~a is in ~a but not in interp.exposed~%" item
-     (findsrc item)))
-  (dolist (item (set-difference abbrevs srcabbrevs :test #'string=))
-    (format t "libcheck:~a is in interp.exposed but has no spad sourcfile~%"
-      item))
-  (dolist (item (set-difference srcconstructors constructors :test #'string=))
-    (format t "libcheck:~a is not in interp.exposed~%" item))
-  (dolist (item (set-difference constructors srcconstructors :test #'string=))
-    (format t "libcheck:~a has no spad source file~%" item)))))
-
-@
 \subsection{Constructing TAGS}
 TAGS are useful for finding functions if you run Emacs. We have a
 set of functions that construct TAGS files for Axiom.
@@ -1566,7 +1434,6 @@ function assumes that \\ can only appear as first character of name.
 
 <<makelib>>
 <<makespad>>
-<<libcheck>>
 
 @
 \eject
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 66aa435..78f3f6f 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -2289,7 +2289,7 @@ do the compile, and then rename the result back to code.o.
 
 (defun get-directory-list (ft &aux (cd (namestring $current-directory)))
   (declare (special $current-directory))
-  (cond ((member ft '("nrlib" "daase" "exposed") :test #'string=)
+  (cond ((member ft '("nrlib" "daase") :test #'string=)
 	   (if (eq BOOT::|$UserLevel| 'BOOT::|development|)
 	       (cons cd $library-directory-list)
 	       $library-directory-list))
